      subroutine ddmrate5(ny,nr,r,gain,loss)
      implicit none
c
c----CAMx v6.30 160408
c
c     DDMRATE5 computes species production and loss rates
c     needed only for DDM rate constant sensitivity
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c     Created by the CMC version 5.2.4
c
c --- Subroutines Called:
c        none
c
c --- Called by:
c        EBISOLV
c
c --- Argument definitions:
c        ny   - dimension of gain and loss
c        nr   - dimension of r
c        r    - reaction rates (hr-1)
c        gain - species production (ppm/hr)
c        loss - species destruction (ppm/hr)
c
c --- Includes:
      include "camx.prm"
      include "chmdat.inc"
      include "ddmchm.inc"
c
c --- Arguments:
      integer ny, nr
      real    loss(ny+1), gain(ny+1)
      real    r(nr)
c
c --- Entry Point:
c
c
c-----Calculate the species rates
c
c
c    NO   NO2    O3   O3P   O1D    OH   HO2  HONO   PNA   PAN
c  MCO3   NO3  N2O5
c
        Loss(lNO   )= +( 1.000)*r(  4)+( 1.000)*r(  7)+( 1.000)*r(  9)
     &                +( 2.000)*r( 10)+( 1.000)*r( 22)+( 1.000)*r( 31)
     &                +( 1.000)*r( 46)+( 1.000)*r( 52)+( 1.000)*r( 57)
     &                +( 1.000)*r( 66)+( 1.000)*r( 76)+( 1.000)*r( 87)
     &                +( 1.000)*r( 99)+( 1.000)*r(114)+( 1.000)*r(124)
     &                +( 1.000)*r(134)+( 1.000)*r(144)+( 1.000)*r(154)
     &                +( 1.000)*r(164)+( 1.000)*r(174)+( 1.000)*r(184)
     &                +( 1.000)*r(194)+( 1.000)*r(283)+( 1.000)*r(293)
     &                +( 1.000)*r(303)+( 1.000)*r(313)+( 1.000)*r(323)
        Loss(lNO   ) = Loss(lNO   )
     &                +( 1.000)*r(333)+( 1.000)*r(343)+( 1.000)*r(353)
     &                +( 1.000)*r(363)+( 1.000)*r(373)+( 1.000)*r(383)
     &                +( 1.000)*r(393)+( 1.000)*r(403)+( 1.000)*r(413)
     &                +( 1.000)*r(423)+( 1.000)*r(433)+( 1.000)*r(443)
     &                +( 1.000)*r(453)+( 1.000)*r(463)+( 1.000)*r(473)
     &                +( 1.000)*r(483)+( 1.000)*r(493)+( 1.000)*r(503)
c
        Gain(lNO   )= +( 1.000)*r(  1)+( 1.000)*r(  5)+( 1.000)*r( 15)
     &                +( 1.000)*r( 16)+( 1.000)*r( 23)+( 1.000)*r(114)
     &                +( 1.000)*r(124)+( 1.000)*r(134)+( 1.000)*r(144)
     &                +( 1.000)*r(154)+( 1.000)*r(164)+( 1.000)*r(174)
     &                +( 1.000)*r(184)+( 1.000)*r(194)+( 1.000)*r(283)
     &                +( 1.000)*r(293)+( 1.000)*r(303)+( 1.000)*r(313)
     &                +( 1.000)*r(323)+( 1.000)*r(333)+( 1.000)*r(343)
     &                +( 1.000)*r(353)+( 1.000)*r(363)+( 1.000)*r(373)
     &                +( 1.000)*r(383)+( 1.000)*r(393)+( 1.000)*r(403)
        Gain(lNO   ) = Gain(lNO   )
     &                +( 1.000)*r(413)+( 1.000)*r(423)+( 1.000)*r(433)
     &                +( 1.000)*r(443)+( 1.000)*r(453)+( 1.000)*r(463)
     &                +( 1.000)*r(473)+( 1.000)*r(483)+( 1.000)*r(493)
     &                +( 1.000)*r(503)
c
        Loss(lNO2  )= +( 1.000)*r(  1)+( 1.000)*r(  5)+( 1.000)*r(  6)
     &                +( 1.000)*r(  8)+( 1.000)*r( 11)+( 1.000)*r( 15)
     &                +( 1.000)*r( 25)+( 1.000)*r( 32)+( 1.000)*r( 63)
     &                +( 1.000)*r( 73)+( 1.000)*r( 84)+( 1.000)*r( 96)
     &                +( 1.000)*r(109)+( 1.000)*r(111)
c
        Gain(lNO2  )= +( 1.000)*r(  4)+( 1.000)*r(  7)+( 2.000)*r(  9)
     &                +( 2.000)*r( 10)+( 1.000)*r( 12)+( 1.000)*r( 15)
     &                +( 1.000)*r( 17)+( 1.000)*r( 24)+( 1.000)*r( 26)
     &                +( 1.000)*r( 28)+( 1.000)*r( 31)+( 1.000)*r( 33)
     &                +( 0.610)*r( 34)+( 1.000)*r( 35)+( 0.800)*r( 39)
     &                +( 2.000)*r( 40)+( 1.000)*r( 46)+( 1.000)*r( 49)
     &                +( 1.000)*r( 52)+( 1.000)*r( 54)+( 1.000)*r( 59)
     &                +( 1.000)*r( 64)+( 0.600)*r( 65)+( 1.000)*r( 66)
     &                +( 1.000)*r( 68)+( 1.000)*r( 74)+( 0.600)*r( 75)
        Gain(lNO2  ) = Gain(lNO2  )
     &                +( 1.000)*r( 76)+( 1.000)*r( 78)+( 1.000)*r( 85)
     &                +( 0.600)*r( 86)+( 1.000)*r( 87)+( 1.000)*r( 89)
     &                +( 1.000)*r( 97)+( 0.600)*r( 98)+( 1.000)*r( 99)
     &                +( 1.000)*r(101)+( 1.000)*r(134)+( 1.000)*r(136)
     &                +( 0.500)*r(137)+( 0.500)*r(138)+( 0.500)*r(139)
     &                +( 1.000)*r(140)+( 1.000)*r(141)+( 1.000)*r(142)
     &                +( 1.000)*r(143)+( 0.019)*r(269)+( 1.000)*r(270)
c
        Loss(lO3   )= +( 1.000)*r(  3)+( 1.000)*r(  7)+( 1.000)*r(  8)
     &                +( 1.000)*r( 18)+( 1.000)*r( 19)+( 1.000)*r( 30)
     &                +( 1.000)*r( 36)+( 1.000)*r(247)+( 1.000)*r(250)
     &                +( 1.000)*r(253)+( 1.000)*r(255)+( 1.000)*r(260)
     &                +( 1.000)*r(264)+( 1.000)*r(275)+( 1.000)*r(515)
     &                +( 1.000)*r(519)+( 1.000)*r(523)+( 1.000)*r(527)
     &                +( 1.000)*r(531)+( 1.000)*r(535)+( 1.000)*r(549)
     &                +( 1.000)*r(553)+( 1.000)*r(559)+( 1.000)*r(563)
c
        Gain(lO3   )= +( 1.000)*r(  2)+( 0.300)*r( 67)+( 0.250)*r( 77)
     &                +( 0.250)*r( 88)+( 0.250)*r(100)
c
        Loss(lO3P  )= +( 1.000)*r(  2)+( 1.000)*r(  3)+( 1.000)*r(  4)
     &                +( 1.000)*r(  5)+( 1.000)*r(  6)+( 1.000)*r(257)
     &                +( 1.000)*r(261)+( 1.000)*r(277)+( 1.000)*r(517)
     &                +( 1.000)*r(521)+( 1.000)*r(525)+( 1.000)*r(529)
     &                +( 1.000)*r(533)+( 1.000)*r(551)+( 1.000)*r(555)
     &                +( 1.000)*r(561)+( 1.000)*r(565)
c
        Gain(lO3P  )= +( 1.000)*r(  1)+( 1.000)*r( 17)+( 1.000)*r( 19)
     &                +( 1.000)*r( 21)
c
        Loss(lO1D  )= +( 1.000)*r( 20)+( 1.000)*r( 21)
c
        Gain(lO1D  )= +( 1.000)*r( 18)
c
        Loss(lOH   )= +( 1.000)*r( 22)+( 1.000)*r( 24)+( 1.000)*r( 25)
     &                +( 1.000)*r( 26)+( 1.000)*r( 27)+( 1.000)*r( 29)
     &                +( 1.000)*r( 30)+( 1.000)*r( 35)+( 1.000)*r( 42)
     &                +( 1.000)*r( 43)+( 1.000)*r( 44)+( 1.000)*r( 45)
     &                +( 1.000)*r(206)+( 1.000)*r(208)+( 1.000)*r(211)
     &                +( 1.000)*r(214)+( 1.000)*r(216)+( 1.000)*r(218)
     &                +( 1.000)*r(219)+( 1.000)*r(220)+( 1.000)*r(221)
     &                +( 1.000)*r(222)+( 1.000)*r(224)+( 1.000)*r(226)
     &                +( 1.000)*r(228)+( 1.000)*r(232)+( 1.000)*r(235)
        Loss(lOH   ) = Loss(lOH   )
     &                +( 1.000)*r(238)+( 1.000)*r(240)+( 1.000)*r(243)
     &                +( 1.000)*r(246)+( 1.000)*r(249)+( 1.000)*r(252)
     &                +( 1.000)*r(254)+( 1.000)*r(259)+( 1.000)*r(263)
     &                +( 1.000)*r(267)+( 1.000)*r(269)+( 1.000)*r(271)
     &                +( 1.000)*r(274)+( 1.000)*r(279)+( 1.000)*r(281)
     &                +( 1.000)*r(513)+( 1.000)*r(514)+( 1.000)*r(518)
     &                +( 1.000)*r(522)+( 1.000)*r(526)+( 1.000)*r(530)
     &                +( 1.000)*r(534)+( 1.000)*r(536)+( 1.000)*r(537)
        Loss(lOH   ) = Loss(lOH   )
     &                +( 1.000)*r(538)+( 1.000)*r(539)+( 1.000)*r(540)
     &                +( 1.000)*r(541)+( 1.000)*r(542)+( 1.000)*r(543)
     &                +( 1.000)*r(544)+( 1.000)*r(545)+( 1.000)*r(546)
     &                +( 1.000)*r(547)+( 1.000)*r(548)+( 1.000)*r(552)
     &                +( 1.000)*r(556)+( 1.000)*r(557)+( 1.000)*r(558)
     &                +( 1.000)*r(562)
c
        Gain(lOH   )= +( 2.000)*r( 20)+( 1.000)*r( 23)+( 1.000)*r( 28)
     &                +( 1.000)*r( 31)+( 0.390)*r( 34)+( 1.000)*r( 36)
     &                +( 0.800)*r( 39)+( 2.000)*r( 41)+( 1.000)*r(124)
     &                +( 1.000)*r(126)+( 0.500)*r(127)+( 0.500)*r(128)
     &                +( 0.500)*r(129)+( 1.000)*r(130)+( 1.000)*r(131)
     &                +( 1.000)*r(132)+( 1.000)*r(133)+( 0.300)*r(222)
     &                +( 1.000)*r(223)+( 0.744)*r(224)+( 1.000)*r(225)
     &                +( 0.840)*r(226)+( 1.000)*r(227)+( 0.139)*r(228)
     &                +( 1.000)*r(229)+( 0.826)*r(247)+( 0.826)*r(250)
        Gain(lOH   ) = Gain(lOH   )
     &                +( 0.471)*r(253)+( 0.208)*r(255)+( 0.330)*r(258)
     &                +( 0.164)*r(260)+( 0.285)*r(264)+( 0.330)*r(275)
     &                +( 0.178)*r(278)+( 1.000)*r(280)+( 1.000)*r(282)
     &                +( 0.160)*r(515)+( 0.350)*r(519)+( 0.080)*r(523)
     &                +( 0.266)*r(527)+( 0.728)*r(531)+( 0.700)*r(534)
     &                +( 0.500)*r(535)+( 0.116)*r(536)+( 0.312)*r(537)
     &                +( 0.239)*r(538)+( 0.198)*r(539)+( 0.278)*r(540)
     &                +( 0.230)*r(541)+( 0.128)*r(549)+( 0.443)*r(553)
        Gain(lOH   ) = Gain(lOH   )
     &                +( 0.202)*r(556)+( 0.178)*r(557)+( 0.499)*r(559)
     &                +( 0.499)*r(563)
c
        Loss(lHO2  )= +( 1.000)*r( 31)+( 1.000)*r( 32)+( 1.000)*r( 36)
     &                +( 2.000)*r( 37)+( 2.000)*r( 38)+( 1.000)*r( 39)
     &                +( 1.000)*r( 43)+( 1.000)*r( 47)+( 1.000)*r( 48)
     &                +( 1.000)*r( 53)+( 1.000)*r( 58)+( 1.000)*r( 67)
     &                +( 1.000)*r( 77)+( 1.000)*r( 88)+( 1.000)*r(100)
     &                +( 1.000)*r(112)+( 1.000)*r(115)+( 1.000)*r(125)
     &                +( 1.000)*r(135)+( 1.000)*r(145)+( 1.000)*r(155)
     &                +( 1.000)*r(165)+( 1.000)*r(175)+( 1.000)*r(185)
     &                +( 1.000)*r(195)+( 1.000)*r(284)+( 1.000)*r(294)
        Loss(lHO2  ) = Loss(lHO2  )
     &                +( 1.000)*r(304)+( 1.000)*r(314)+( 1.000)*r(324)
     &                +( 1.000)*r(334)+( 1.000)*r(344)+( 1.000)*r(354)
     &                +( 1.000)*r(364)+( 1.000)*r(374)+( 1.000)*r(384)
     &                +( 1.000)*r(394)+( 1.000)*r(404)+( 1.000)*r(414)
     &                +( 1.000)*r(424)+( 1.000)*r(434)+( 1.000)*r(444)
     &                +( 1.000)*r(454)+( 1.000)*r(464)+( 1.000)*r(474)
     &                +( 1.000)*r(484)+( 1.000)*r(494)+( 1.000)*r(504)
c
        Gain(lHO2  )= +( 1.000)*r( 26)+( 1.000)*r( 29)+( 1.000)*r( 30)
     &                +( 1.000)*r( 33)+( 0.610)*r( 34)+( 1.000)*r( 42)
     &                +( 1.000)*r( 44)+( 1.000)*r( 45)+( 1.000)*r( 46)
     &                +( 1.000)*r( 49)+( 2.000)*r( 51)+( 0.500)*r( 55)
     &                +( 0.500)*r( 60)+( 0.900)*r( 69)+( 1.000)*r( 79)
     &                +( 1.000)*r( 90)+( 1.000)*r(102)+( 1.000)*r(114)
     &                +( 1.000)*r(115)+( 1.000)*r(116)+( 0.500)*r(117)
     &                +( 0.500)*r(118)+( 0.500)*r(119)+( 1.000)*r(120)
     &                +( 1.000)*r(121)+( 1.000)*r(122)+( 1.000)*r(123)
        Gain(lHO2  ) = Gain(lHO2  )
     &                +( 1.000)*r(125)+( 1.000)*r(135)+( 1.000)*r(145)
     &                +( 1.000)*r(155)+( 1.000)*r(165)+( 1.000)*r(175)
     &                +( 1.000)*r(185)+( 1.000)*r(195)+( 2.000)*r(204)
     &                +( 1.000)*r(206)+( 1.000)*r(207)+( 1.000)*r(209)
     &                +( 1.000)*r(212)+( 1.000)*r(218)+( 1.000)*r(219)
     &                +( 1.000)*r(223)+( 1.000)*r(225)+( 0.142)*r(227)
     &                +( 0.148)*r(228)+( 1.000)*r(229)+( 2.000)*r(230)
     &                +( 0.630)*r(232)+( 0.630)*r(233)+( 1.000)*r(234)
        Gain(lHO2  ) = Gain(lHO2  )
     &                +( 0.522)*r(247)+( 1.023)*r(248)+( 0.522)*r(250)
     &                +( 0.554)*r(253)+( 0.108)*r(255)+( 0.670)*r(258)
     &                +( 0.064)*r(260)+( 0.400)*r(264)+( 1.233)*r(266)
     &                +( 0.472)*r(267)+( 0.189)*r(269)+( 0.344)*r(270)
     &                +( 2.000)*r(272)+( 0.830)*r(275)+( 1.066)*r(278)
     &                +( 1.000)*r(284)+( 1.000)*r(294)+( 1.000)*r(304)
     &                +( 1.000)*r(314)+( 1.000)*r(324)+( 1.000)*r(334)
     &                +( 1.000)*r(344)+( 1.000)*r(354)+( 1.000)*r(364)
        Gain(lHO2  ) = Gain(lHO2  )
     &                +( 1.000)*r(374)+( 1.000)*r(384)+( 1.000)*r(394)
     &                +( 1.000)*r(404)+( 1.000)*r(414)+( 1.000)*r(424)
     &                +( 1.000)*r(434)+( 1.000)*r(444)+( 1.000)*r(454)
     &                +( 1.000)*r(464)+( 1.000)*r(474)+( 1.000)*r(484)
     &                +( 1.000)*r(485)+( 0.500)*r(486)+( 0.500)*r(487)
     &                +( 0.500)*r(488)+( 1.000)*r(489)+( 1.000)*r(490)
     &                +( 1.000)*r(491)+( 1.000)*r(492)+( 1.000)*r(494)
     &                +( 1.000)*r(504)+( 0.160)*r(515)+( 0.800)*r(517)
        Gain(lHO2  ) = Gain(lHO2  )
     &                +( 0.165)*r(519)+( 0.080)*r(523)+( 0.250)*r(525)
     &                +( 0.066)*r(527)+( 0.009)*r(531)+( 0.300)*r(534)
     &                +( 1.500)*r(535)+( 0.570)*r(536)+( 0.181)*r(537)
     &                +( 0.159)*r(538)+( 0.161)*r(539)+( 0.159)*r(540)
     &                +( 0.022)*r(541)+( 0.950)*r(542)+( 0.095)*r(549)
     &                +( 0.094)*r(553)+( 0.123)*r(556)+( 0.077)*r(557)
     &                +( 0.078)*r(559)+( 0.078)*r(563)
c
        Loss(lHONO )= +( 1.000)*r( 23)+( 1.000)*r( 24)
c
        Gain(lHONO )= +( 1.000)*r( 22)+( 1.000)*r(241)
c
        Loss(lPNA  )= +( 1.000)*r( 33)+( 1.000)*r( 34)+( 1.000)*r( 35)
c
        Gain(lPNA  )= +( 1.000)*r( 32)
c
        Loss(lPAN  )= +( 1.000)*r( 64)+( 1.000)*r( 65)
c
        Gain(lPAN  )= +( 1.000)*r( 63)
c
        Loss(lMCO3 )= +( 1.000)*r( 63)+( 1.000)*r( 66)+( 1.000)*r( 67)
     &                +( 1.000)*r( 68)+( 1.000)*r( 69)+( 1.000)*r( 70)
     &                +( 1.000)*r( 71)+( 2.000)*r( 72)+( 1.000)*r( 82)
     &                +( 1.000)*r( 93)+( 1.000)*r(105)+( 1.000)*r(120)
     &                +( 1.000)*r(130)+( 1.000)*r(140)+( 1.000)*r(150)
     &                +( 1.000)*r(160)+( 1.000)*r(170)+( 1.000)*r(180)
     &                +( 1.000)*r(190)+( 1.000)*r(200)+( 1.000)*r(289)
     &                +( 1.000)*r(299)+( 1.000)*r(309)+( 1.000)*r(319)
     &                +( 1.000)*r(329)+( 1.000)*r(339)+( 1.000)*r(349)
        Loss(lMCO3 ) = Loss(lMCO3 )
     &                +( 1.000)*r(359)+( 1.000)*r(369)+( 1.000)*r(379)
     &                +( 1.000)*r(389)+( 1.000)*r(399)+( 1.000)*r(409)
     &                +( 1.000)*r(419)+( 1.000)*r(429)+( 1.000)*r(439)
     &                +( 1.000)*r(449)+( 1.000)*r(459)+( 1.000)*r(469)
     &                +( 1.000)*r(479)+( 1.000)*r(489)+( 1.000)*r(499)
     &                +( 1.000)*r(509)
c
        Gain(lMCO3 )= +( 1.000)*r( 64)+( 0.600)*r( 65)+( 0.400)*r( 98)
     &                +( 1.000)*r( 99)+( 1.000)*r(101)+( 1.000)*r(102)
     &                +( 1.000)*r(103)+( 1.000)*r(104)+( 1.000)*r(105)
     &                +( 1.000)*r(106)+( 1.000)*r(107)+( 2.000)*r(108)
     &                +( 1.000)*r(120)+( 1.000)*r(130)+( 1.000)*r(140)
     &                +( 1.000)*r(150)+( 1.000)*r(154)+( 1.000)*r(156)
     &                +( 0.500)*r(157)+( 0.500)*r(158)+( 0.500)*r(159)
     &                +( 2.000)*r(160)+( 1.000)*r(161)+( 1.000)*r(162)
     &                +( 1.000)*r(163)+( 1.000)*r(170)+( 1.000)*r(180)
        Gain(lMCO3 ) = Gain(lMCO3 )
     &                +( 1.000)*r(190)+( 1.000)*r(200)+( 1.000)*r(208)
     &                +( 1.000)*r(210)+( 0.620)*r(215)+( 1.000)*r(217)
     &                +( 1.000)*r(234)+( 1.000)*r(235)+( 1.000)*r(236)
     &                +( 2.000)*r(237)+( 0.305)*r(248)+( 0.013)*r(253)
     &                +( 0.340)*r(258)+( 0.467)*r(266)+( 0.400)*r(268)
     &                +( 1.000)*r(271)+( 1.000)*r(273)+( 0.980)*r(279)
     &                +( 1.000)*r(289)+( 1.000)*r(299)+( 1.000)*r(309)
     &                +( 1.000)*r(319)+( 1.000)*r(329)+( 1.000)*r(339)
        Gain(lMCO3 ) = Gain(lMCO3 )
     &                +( 1.000)*r(349)+( 1.000)*r(359)+( 1.000)*r(369)
     &                +( 1.000)*r(379)+( 1.000)*r(389)+( 1.000)*r(399)
     &                +( 1.000)*r(409)+( 1.000)*r(419)+( 1.000)*r(429)
     &                +( 1.000)*r(439)+( 1.000)*r(449)+( 1.000)*r(459)
     &                +( 1.000)*r(469)+( 1.000)*r(479)+( 1.000)*r(489)
     &                +( 1.000)*r(499)+( 1.000)*r(509)
c
        Loss(lNO3  )= +( 1.000)*r(  9)+( 1.000)*r( 11)+( 1.000)*r( 15)
     &                +( 1.000)*r( 16)+( 1.000)*r( 17)+( 1.000)*r( 26)
     &                +( 1.000)*r( 39)+( 2.000)*r( 40)+( 1.000)*r( 49)
     &                +( 1.000)*r( 54)+( 1.000)*r( 59)+( 1.000)*r( 68)
     &                +( 1.000)*r( 78)+( 1.000)*r( 89)+( 1.000)*r(101)
     &                +( 1.000)*r(116)+( 1.000)*r(126)+( 1.000)*r(136)
     &                +( 1.000)*r(146)+( 1.000)*r(156)+( 1.000)*r(166)
     &                +( 1.000)*r(176)+( 1.000)*r(186)+( 1.000)*r(196)
     &                +( 1.000)*r(207)+( 1.000)*r(210)+( 1.000)*r(213)
        Loss(lNO3  ) = Loss(lNO3  )
     &                +( 1.000)*r(233)+( 1.000)*r(236)+( 1.000)*r(239)
     &                +( 1.000)*r(245)+( 1.000)*r(256)+( 1.000)*r(265)
     &                +( 1.000)*r(273)+( 1.000)*r(276)+( 1.000)*r(285)
     &                +( 1.000)*r(295)+( 1.000)*r(305)+( 1.000)*r(315)
     &                +( 1.000)*r(325)+( 1.000)*r(335)+( 1.000)*r(345)
     &                +( 1.000)*r(355)+( 1.000)*r(365)+( 1.000)*r(375)
     &                +( 1.000)*r(385)+( 1.000)*r(395)+( 1.000)*r(405)
     &                +( 1.000)*r(415)+( 1.000)*r(425)+( 1.000)*r(435)
        Loss(lNO3  ) = Loss(lNO3  )
     &                +( 1.000)*r(445)+( 1.000)*r(455)+( 1.000)*r(465)
     &                +( 1.000)*r(475)+( 1.000)*r(485)+( 1.000)*r(495)
     &                +( 1.000)*r(505)+( 1.000)*r(516)+( 1.000)*r(520)
     &                +( 1.000)*r(524)+( 1.000)*r(528)+( 1.000)*r(532)
     &                +( 1.000)*r(550)+( 1.000)*r(554)+( 1.000)*r(560)
     &                +( 1.000)*r(564)
c
        Gain(lNO3  )= +( 1.000)*r(  6)+( 1.000)*r(  8)+( 1.000)*r( 12)
     &                +( 1.000)*r( 27)+( 0.390)*r( 34)+( 0.400)*r( 65)
     &                +( 0.400)*r( 75)+( 0.400)*r( 86)+( 0.400)*r( 98)
     &                +( 1.000)*r(116)+( 1.000)*r(126)+( 1.000)*r(136)
     &                +( 1.000)*r(146)+( 1.000)*r(156)+( 1.000)*r(166)
     &                +( 1.000)*r(176)+( 1.000)*r(186)+( 1.000)*r(196)
     &                +( 1.000)*r(285)+( 1.000)*r(295)+( 1.000)*r(305)
     &                +( 1.000)*r(315)+( 1.000)*r(325)+( 1.000)*r(335)
     &                +( 1.000)*r(345)+( 1.000)*r(355)+( 1.000)*r(365)
        Gain(lNO3  ) = Gain(lNO3  )
     &                +( 1.000)*r(375)+( 1.000)*r(385)+( 1.000)*r(395)
     &                +( 1.000)*r(405)+( 1.000)*r(415)+( 1.000)*r(425)
     &                +( 1.000)*r(435)+( 1.000)*r(445)+( 1.000)*r(455)
     &                +( 1.000)*r(465)+( 1.000)*r(475)+( 1.000)*r(485)
     &                +( 1.000)*r(495)+( 1.000)*r(505)
c
        Loss(lN2O5 )= +( 1.000)*r( 12)+( 1.000)*r( 13)+( 1.000)*r( 14)
c
        Gain(lN2O5 )= +( 1.000)*r( 11)
c
c
      return
      end

