      subroutine ebirate5(ny,nr,r,gain,loss)
      implicit none
c
c----CAMx v6.30 160408
c
c     EBIRATE5 computes species production and loss
c     for the EBI solver
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c     Created by the CMC version 5.2.4
c
c --- Subroutines Called:
c        none
c
c --- Called by:
c        EBISOLV
c
c --- Argument definitions:
c        ny   - dimension of gain and loss
c        nr   - dimension of r
c        r    - reaction rates (hr-1)
c        gain - species production (ppm/hr)
c        loss - species destruction (ppm/hr)
c
c --- Includes:
      include "camx.prm"
      include "chmdat.inc"
      include "ddmchm.inc"
c
c --- Arguments:
      integer ny, nr
      real    loss(ny+1), gain(ny+1)
      real    r(nr)
c
c --- Entry Point:
c
c
c-----Calculate the species rates
c
c
c  HNO3    CO  H2O2   SO2  SULF  MEO2  HCHO  COOH  MEOH  RO2C
c  RO2X    XN  CO3H  AACD  RCO3  PAN2  XHO2  YRPX  XCCH  RO3H
c  PACD  BZC3  PBZN   BZO  MAC3  MPAN  TBUO  RNO3  ACET  NPHE
c  CRES   XOH  XNO2  XMEO  XMC3  XRC3  XMA3  XTBU   XCO  CCHO
c  RCHO  XHCH   MEK  ZRN3  XRCH  FACD  XMGL  XBAC  ROOH  XPD2
c  R6PX  PRD2  Y6PX  RAPX  MGLY  IPRD  XGLY  XMEK  XAF1  XAF2
c   GLY  AFG1  AFG2  BACL  BALD  AFG3  XIPR  MACR   MVK  XGLD
c  XRN3  GLYD  XACE  ACRO  XBAL  XAF3  XMAC  XMVK  YAPX  XACR
c  ETHE  PRPE  BD13  ISOP  APIN  ACYE  BENZ  TOLU  MXYL  OXYL
c  PXYL  B124  ETOH  ALK1  ALK2  ALK3  ALK4  ALK5  OLE1  OLE2
c  ARO1  ARO2  TERP  SESQ
c
        Loss(lHNO3 )= +( 1.000)*r( 27)+( 1.000)*r( 28)
c
        Gain(lHNO3 )= +( 2.000)*r( 13)+( 2.000)*r( 14)+( 1.000)*r( 25)
     &                +( 0.200)*r( 39)+( 1.000)*r(207)+( 1.000)*r(210)
     &                +( 1.000)*r(213)+( 1.000)*r(233)+( 1.000)*r(236)
     &                +( 1.000)*r(239)+( 1.000)*r(245)+( 0.500)*r(256)
     &                +( 0.150)*r(265)+( 1.000)*r(273)+( 0.967)*r(276)
c
        Loss(lCO   )= +( 1.000)*r( 29)
c
        Gain(lCO   )= +( 1.000)*r(194)+( 1.000)*r(196)+( 0.500)*r(197)
     &                +( 0.500)*r(198)+( 0.500)*r(199)+( 1.000)*r(200)
     &                +( 1.000)*r(201)+( 1.000)*r(202)+( 1.000)*r(203)
     &                +( 1.000)*r(204)+( 1.000)*r(205)+( 1.000)*r(206)
     &                +( 1.000)*r(207)+( 1.000)*r(209)+( 1.000)*r(212)
     &                +( 0.380)*r(215)+( 2.000)*r(230)+( 1.000)*r(231)
     &                +( 1.260)*r(232)+( 1.260)*r(233)+( 1.000)*r(234)
     &                +( 1.000)*r(235)+( 1.000)*r(236)+( 0.522)*r(247)
     &                +( 0.695)*r(248)+( 0.522)*r(250)+( 0.580)*r(253)
        Gain(lCO   ) = Gain(lCO   )
     &                +( 0.450)*r(255)+( 0.670)*r(258)+( 0.475)*r(260)
     &                +( 0.600)*r(262)+( 0.498)*r(264)+( 1.233)*r(266)
     &                +( 1.000)*r(272)+( 1.005)*r(275)+( 1.188)*r(278)
     &                +( 0.510)*r(515)+( 0.510)*r(517)+( 0.525)*r(519)
     &                +( 0.255)*r(523)+( 0.275)*r(527)+( 0.029)*r(531)
     &                +( 0.300)*r(534)+( 1.500)*r(535)+( 0.303)*r(549)
     &                +( 0.299)*r(553)+( 0.249)*r(559)+( 0.249)*r(563)
c
        Loss(lH2O2 )= +( 1.000)*r( 41)+( 1.000)*r( 42)
c
        Gain(lH2O2 )= +( 1.000)*r( 37)+( 1.000)*r( 38)
c
        Loss(lSO2  )= +( 1.000)*r( 44)
c
        Gain(lSO2  )= 0.0
c
        Loss(lSULF )= 0.0
c
        Gain(lSULF )= +( 1.000)*r( 44)
c
        Loss(lMEO2 )= +( 1.000)*r( 46)+( 1.000)*r( 47)+( 1.000)*r( 48)
     &                +( 1.000)*r( 49)+( 2.000)*r( 50)+( 2.000)*r( 51)
     &                +( 1.000)*r( 55)+( 1.000)*r( 60)+( 1.000)*r( 69)
     &                +( 1.000)*r( 79)+( 1.000)*r( 90)+( 1.000)*r(102)
     &                +( 1.000)*r(117)+( 1.000)*r(127)+( 1.000)*r(137)
     &                +( 1.000)*r(147)+( 1.000)*r(157)+( 1.000)*r(167)
     &                +( 1.000)*r(177)+( 1.000)*r(187)+( 1.000)*r(197)
     &                +( 1.000)*r(286)+( 1.000)*r(296)+( 1.000)*r(306)
     &                +( 1.000)*r(316)+( 1.000)*r(326)+( 1.000)*r(336)
        Loss(lMEO2 ) = Loss(lMEO2 )
     &                +( 1.000)*r(346)+( 1.000)*r(356)+( 1.000)*r(366)
     &                +( 1.000)*r(376)+( 1.000)*r(386)+( 1.000)*r(396)
     &                +( 1.000)*r(406)+( 1.000)*r(416)+( 1.000)*r(426)
     &                +( 1.000)*r(436)+( 1.000)*r(446)+( 1.000)*r(456)
     &                +( 1.000)*r(466)+( 1.000)*r(476)+( 1.000)*r(486)
     &                +( 1.000)*r(496)+( 1.000)*r(506)
c
        Gain(lMEO2 )= +( 0.400)*r( 65)+( 1.000)*r( 66)+( 1.000)*r( 68)
     &                +( 0.900)*r( 69)+( 1.000)*r( 70)+( 1.000)*r( 71)
     &                +( 2.000)*r( 72)+( 1.000)*r( 82)+( 1.000)*r( 93)
     &                +( 1.000)*r(105)+( 1.000)*r(110)+( 1.000)*r(117)
     &                +( 1.000)*r(127)+( 1.000)*r(137)+( 1.000)*r(144)
     &                +( 1.000)*r(146)+( 1.500)*r(147)+( 0.500)*r(148)
     &                +( 0.500)*r(149)+( 1.000)*r(150)+( 1.000)*r(151)
     &                +( 1.000)*r(152)+( 1.000)*r(153)+( 1.000)*r(157)
     &                +( 1.000)*r(167)+( 1.000)*r(177)+( 1.000)*r(187)
        Gain(lMEO2 ) = Gain(lMEO2 )
     &                +( 1.000)*r(197)+( 1.000)*r(209)+( 1.380)*r(215)
     &                +( 0.509)*r(220)+( 0.700)*r(222)+( 0.173)*r(248)
     &                +( 0.400)*r(262)+( 0.234)*r(278)+( 1.000)*r(280)
     &                +( 1.000)*r(286)+( 1.000)*r(296)+( 1.000)*r(306)
     &                +( 1.000)*r(316)+( 1.000)*r(326)+( 1.000)*r(336)
     &                +( 1.000)*r(346)+( 1.000)*r(356)+( 1.000)*r(366)
     &                +( 1.000)*r(376)+( 1.000)*r(386)+( 1.000)*r(396)
     &                +( 1.000)*r(406)+( 1.000)*r(416)+( 1.000)*r(426)
        Gain(lMEO2 ) = Gain(lMEO2 )
     &                +( 1.000)*r(436)+( 1.000)*r(446)+( 1.000)*r(456)
     &                +( 1.000)*r(466)+( 1.000)*r(476)+( 1.000)*r(486)
     &                +( 1.000)*r(496)+( 1.000)*r(506)+( 1.000)*r(513)
     &                +( 0.510)*r(517)+( 0.355)*r(519)+( 0.250)*r(529)
     &                +( 0.307)*r(553)
c
        Loss(lHCHO )= +( 1.000)*r(204)+( 1.000)*r(205)+( 1.000)*r(206)
     &                +( 1.000)*r(207)
c
        Gain(lHCHO )= +( 1.000)*r( 46)+( 1.000)*r( 48)+( 1.000)*r( 49)
     &                +( 1.000)*r( 50)+( 2.000)*r( 51)+( 0.750)*r( 55)
     &                +( 0.750)*r( 60)+( 1.000)*r( 69)+( 1.000)*r( 79)
     &                +( 1.000)*r( 90)+( 0.400)*r( 98)+( 1.000)*r( 99)
     &                +( 1.000)*r(101)+( 2.000)*r(102)+( 1.000)*r(103)
     &                +( 1.000)*r(104)+( 1.000)*r(105)+( 1.000)*r(106)
     &                +( 1.000)*r(107)+( 2.000)*r(108)+( 1.000)*r(218)
     &                +( 0.300)*r(222)+( 1.000)*r(223)+( 1.000)*r(231)
     &                +( 0.100)*r(255)+( 0.340)*r(258)+( 0.050)*r(260)
        Gain(lHCHO ) = Gain(lHCHO )
     &                +( 0.124)*r(264)+( 0.300)*r(266)+( 0.002)*r(267)
     &                +( 0.074)*r(270)+( 1.000)*r(272)+( 0.500)*r(275)
     &                +( 0.340)*r(278)+( 1.000)*r(283)+( 1.000)*r(285)
     &                +( 0.500)*r(286)+( 0.500)*r(287)+( 0.500)*r(288)
     &                +( 1.000)*r(289)+( 1.000)*r(290)+( 1.000)*r(291)
     &                +( 1.000)*r(292)+( 1.000)*r(515)+( 0.500)*r(519)
     &                +( 0.500)*r(523)+( 0.400)*r(527)+( 0.500)*r(549)
     &                +( 0.131)*r(553)+( 0.127)*r(559)+( 0.127)*r(563)
c
        Loss(lCOOH )= +( 1.000)*r(222)+( 1.000)*r(223)
c
        Gain(lCOOH )= +( 1.000)*r( 47)
c
        Loss(lMEOH )= +( 1.000)*r(218)
c
        Gain(lMEOH )= +( 1.000)*r( 50)+( 0.250)*r( 55)+( 0.250)*r( 60)
c
        Loss(lRO2C )= +( 1.000)*r( 52)+( 1.000)*r( 53)+( 1.000)*r( 54)
     &                +( 1.000)*r( 55)+( 2.000)*r( 56)+( 1.000)*r( 61)
     &                +( 1.000)*r( 70)+( 1.000)*r( 80)+( 1.000)*r( 91)
     &                +( 1.000)*r(103)+( 1.000)*r(118)+( 1.000)*r(128)
     &                +( 1.000)*r(138)+( 1.000)*r(148)+( 1.000)*r(158)
     &                +( 1.000)*r(168)+( 1.000)*r(178)+( 1.000)*r(188)
     &                +( 1.000)*r(198)+( 1.000)*r(287)+( 1.000)*r(297)
     &                +( 1.000)*r(307)+( 1.000)*r(317)+( 1.000)*r(327)
     &                +( 1.000)*r(337)+( 1.000)*r(347)+( 1.000)*r(357)
        Loss(lRO2C ) = Loss(lRO2C )
     &                +( 1.000)*r(367)+( 1.000)*r(377)+( 1.000)*r(387)
     &                +( 1.000)*r(397)+( 1.000)*r(407)+( 1.000)*r(417)
     &                +( 1.000)*r(427)+( 1.000)*r(437)+( 1.000)*r(447)
     &                +( 1.000)*r(457)+( 1.000)*r(467)+( 1.000)*r(477)
     &                +( 1.000)*r(487)+( 1.000)*r(497)+( 1.000)*r(507)
c
        Gain(lRO2C )= +( 0.400)*r( 75)+( 1.000)*r( 76)+( 1.000)*r( 78)
     &                +( 1.000)*r( 79)+( 1.000)*r( 80)+( 1.000)*r( 81)
     &                +( 1.000)*r( 82)+( 2.000)*r( 83)+( 0.400)*r( 86)
     &                +( 1.000)*r( 87)+( 1.000)*r( 89)+( 1.000)*r( 90)
     &                +( 1.000)*r( 91)+( 1.000)*r( 92)+( 1.000)*r( 93)
     &                +( 2.000)*r( 94)+( 2.000)*r( 95)+( 1.000)*r(106)
     &                +( 1.000)*r(107)+( 1.000)*r(113)+( 1.000)*r(118)
     &                +( 1.000)*r(128)+( 1.000)*r(138)+( 1.000)*r(148)
     &                +( 1.000)*r(158)+( 1.000)*r(168)+( 1.000)*r(178)
        Gain(lRO2C ) = Gain(lRO2C )
     &                +( 1.000)*r(188)+( 1.000)*r(198)+( 0.035)*r(211)
     &                +( 1.000)*r(212)+( 1.000)*r(214)+( 0.967)*r(216)
     &                +( 1.000)*r(217)+( 0.491)*r(220)+( 1.000)*r(221)
     &                +( 0.251)*r(224)+( 0.222)*r(226)+( 0.782)*r(227)
     &                +( 0.589)*r(228)+( 0.800)*r(238)+( 0.723)*r(246)
     &                +( 0.652)*r(247)+( 0.723)*r(249)+( 0.652)*r(250)
     &                +( 0.733)*r(252)+( 0.258)*r(253)+( 0.500)*r(254)
     &                +( 0.100)*r(255)+( 0.500)*r(256)+( 0.330)*r(258)
        Gain(lRO2C ) = Gain(lRO2C )
     &                +( 0.975)*r(259)+( 0.050)*r(260)+( 0.670)*r(263)
     &                +( 0.048)*r(264)+( 0.799)*r(265)+( 0.473)*r(267)
     &                +( 1.590)*r(268)+( 0.976)*r(269)+( 0.721)*r(270)
     &                +( 0.250)*r(274)+( 0.031)*r(276)+( 0.020)*r(279)
     &                +( 0.194)*r(281)+( 1.000)*r(287)+( 1.000)*r(297)
     &                +( 1.000)*r(307)+( 1.000)*r(317)+( 1.000)*r(327)
     &                +( 1.000)*r(337)+( 1.000)*r(347)+( 1.000)*r(357)
     &                +( 1.000)*r(367)+( 1.000)*r(377)+( 1.000)*r(387)
        Gain(lRO2C ) = Gain(lRO2C )
     &                +( 1.000)*r(397)+( 1.000)*r(407)+( 1.000)*r(417)
     &                +( 1.000)*r(427)+( 1.000)*r(437)+( 1.000)*r(447)
     &                +( 1.000)*r(457)+( 1.000)*r(467)+( 1.000)*r(477)
     &                +( 1.000)*r(487)+( 1.000)*r(497)+( 1.000)*r(507)
     &                +( 1.000)*r(514)+( 1.000)*r(516)+( 0.290)*r(517)
     &                +( 0.984)*r(518)+( 0.949)*r(520)+( 1.189)*r(522)
     &                +( 1.055)*r(524)+( 0.235)*r(525)+( 0.986)*r(526)
     &                +( 0.192)*r(527)+( 0.936)*r(528)+( 0.240)*r(529)
        Gain(lRO2C ) = Gain(lRO2C )
     &                +( 1.042)*r(530)+( 1.511)*r(531)+( 1.050)*r(532)
     &                +( 0.290)*r(536)+( 0.454)*r(537)+( 0.520)*r(538)
     &                +( 0.554)*r(539)+( 0.487)*r(540)+( 0.627)*r(541)
     &                +( 0.050)*r(542)+( 1.000)*r(543)+( 0.965)*r(544)
     &                +( 1.253)*r(545)+( 1.763)*r(546)+( 1.605)*r(547)
     &                +( 1.202)*r(548)+( 0.090)*r(549)+( 1.463)*r(550)
     &                +( 0.953)*r(552)+( 0.212)*r(553)+( 1.193)*r(554)
     &                +( 0.566)*r(556)+( 0.617)*r(557)+( 1.211)*r(558)
        Gain(lRO2C ) = Gain(lRO2C )
     &                +( 0.490)*r(559)+( 1.786)*r(560)+( 1.211)*r(562)
     &                +( 0.490)*r(563)+( 1.786)*r(564)
c
        Loss(lRO2X )= +( 1.000)*r( 57)+( 1.000)*r( 58)+( 1.000)*r( 59)
     &                +( 1.000)*r( 60)+( 1.000)*r( 61)+( 2.000)*r( 62)
     &                +( 1.000)*r( 71)+( 1.000)*r( 81)+( 1.000)*r( 92)
     &                +( 1.000)*r(104)+( 1.000)*r(119)+( 1.000)*r(129)
     &                +( 1.000)*r(139)+( 1.000)*r(149)+( 1.000)*r(159)
     &                +( 1.000)*r(169)+( 1.000)*r(179)+( 1.000)*r(189)
     &                +( 1.000)*r(199)+( 1.000)*r(288)+( 1.000)*r(298)
     &                +( 1.000)*r(308)+( 1.000)*r(318)+( 1.000)*r(328)
     &                +( 1.000)*r(338)+( 1.000)*r(348)+( 1.000)*r(358)
        Loss(lRO2X ) = Loss(lRO2X )
     &                +( 1.000)*r(368)+( 1.000)*r(378)+( 1.000)*r(388)
     &                +( 1.000)*r(398)+( 1.000)*r(408)+( 1.000)*r(418)
     &                +( 1.000)*r(428)+( 1.000)*r(438)+( 1.000)*r(448)
     &                +( 1.000)*r(458)+( 1.000)*r(468)+( 1.000)*r(478)
     &                +( 1.000)*r(488)+( 1.000)*r(498)+( 1.000)*r(508)
c
        Gain(lRO2X )= +( 1.000)*r(119)+( 1.000)*r(129)+( 1.000)*r(139)
     &                +( 1.000)*r(149)+( 1.000)*r(159)+( 1.000)*r(169)
     &                +( 1.000)*r(179)+( 1.000)*r(189)+( 1.000)*r(199)
     &                +( 0.039)*r(216)+( 0.004)*r(224)+( 0.029)*r(226)
     &                +( 0.077)*r(227)+( 0.124)*r(228)+( 0.060)*r(246)
     &                +( 0.060)*r(249)+( 0.117)*r(252)+( 0.007)*r(253)
     &                +( 0.025)*r(259)+( 0.041)*r(263)+( 0.051)*r(265)
     &                +( 0.071)*r(267)+( 0.087)*r(268)+( 0.175)*r(269)
     &                +( 0.102)*r(270)+( 0.002)*r(276)+( 1.000)*r(288)
        Gain(lRO2X ) = Gain(lRO2X )
     &                +( 1.000)*r(298)+( 1.000)*r(308)+( 1.000)*r(318)
     &                +( 1.000)*r(328)+( 1.000)*r(338)+( 1.000)*r(348)
     &                +( 1.000)*r(358)+( 1.000)*r(368)+( 1.000)*r(378)
     &                +( 1.000)*r(388)+( 1.000)*r(398)+( 1.000)*r(408)
     &                +( 1.000)*r(418)+( 1.000)*r(428)+( 1.000)*r(438)
     &                +( 1.000)*r(448)+( 1.000)*r(458)+( 1.000)*r(468)
     &                +( 1.000)*r(478)+( 1.000)*r(488)+( 1.000)*r(498)
     &                +( 1.000)*r(508)+( 0.016)*r(518)+( 0.051)*r(520)
        Gain(lRO2X ) = Gain(lRO2X )
     &                +( 0.049)*r(522)+( 0.065)*r(524)+( 0.015)*r(525)
     &                +( 0.093)*r(526)+( 0.008)*r(527)+( 0.064)*r(528)
     &                +( 0.010)*r(529)+( 0.197)*r(530)+( 0.337)*r(531)
     &                +( 0.293)*r(532)+( 0.024)*r(536)+( 0.054)*r(537)
     &                +( 0.082)*r(538)+( 0.087)*r(539)+( 0.076)*r(540)
     &                +( 0.121)*r(541)+( 0.035)*r(544)+( 0.070)*r(545)
     &                +( 0.149)*r(546)+( 0.353)*r(547)+( 0.128)*r(548)
     &                +( 0.005)*r(549)+( 0.228)*r(550)+( 0.088)*r(552)
        Gain(lRO2X ) = Gain(lRO2X )
     &                +( 0.003)*r(553)+( 0.140)*r(554)+( 0.110)*r(556)
     &                +( 0.128)*r(557)+( 0.201)*r(558)+( 0.121)*r(559)
     &                +( 0.460)*r(560)+( 0.201)*r(562)+( 0.121)*r(563)
     &                +( 0.460)*r(564)
c
        Loss(lXN   )= 0.0
c
        Gain(lXN   )= +( 1.000)*r( 57)+( 1.000)*r(135)+( 0.500)*r(137)
     &                +( 0.500)*r(138)+( 0.500)*r(139)+( 1.000)*r(240)
     &                +( 1.000)*r(242)+( 0.500)*r(256)+( 0.278)*r(265)
     &                +( 0.174)*r(269)+( 0.002)*r(276)+( 1.000)*r(444)
     &                +( 0.500)*r(446)+( 0.500)*r(447)+( 0.500)*r(448)
     &                +(-1.000)*r(483)+( 1.000)*r(516)+( 1.000)*r(520)
     &                +( 0.525)*r(524)+( 0.813)*r(528)+( 0.301)*r(532)
     &                +( 0.226)*r(550)+( 0.254)*r(554)+( 0.485)*r(560)
     &                +( 0.485)*r(564)
c
        Loss(lCO3H )= +( 1.000)*r(279)+( 1.000)*r(280)
c
        Gain(lCO3H )= +( 0.700)*r( 67)
c
        Loss(lAACD )= +( 1.000)*r(220)
c
        Gain(lAACD )= +( 0.300)*r( 67)+( 0.100)*r( 69)+( 0.050)*r(278)
     &                +( 0.075)*r(519)+( 0.065)*r(553)
c
        Loss(lRCO3 )= +( 1.000)*r( 73)+( 1.000)*r( 76)+( 1.000)*r( 77)
     &                +( 1.000)*r( 78)+( 1.000)*r( 79)+( 1.000)*r( 80)
     &                +( 1.000)*r( 81)+( 1.000)*r( 82)+( 2.000)*r( 83)
     &                +( 1.000)*r( 94)+( 1.000)*r(106)+( 1.000)*r(121)
     &                +( 1.000)*r(131)+( 1.000)*r(141)+( 1.000)*r(151)
     &                +( 1.000)*r(161)+( 1.000)*r(171)+( 1.000)*r(181)
     &                +( 1.000)*r(191)+( 1.000)*r(201)+( 1.000)*r(290)
     &                +( 1.000)*r(300)+( 1.000)*r(310)+( 1.000)*r(320)
     &                +( 1.000)*r(330)+( 1.000)*r(340)+( 1.000)*r(350)
        Loss(lRCO3 ) = Loss(lRCO3 )
     &                +( 1.000)*r(360)+( 1.000)*r(370)+( 1.000)*r(380)
     &                +( 1.000)*r(390)+( 1.000)*r(400)+( 1.000)*r(410)
     &                +( 1.000)*r(420)+( 1.000)*r(430)+( 1.000)*r(440)
     &                +( 1.000)*r(450)+( 1.000)*r(460)+( 1.000)*r(470)
     &                +( 1.000)*r(480)+( 1.000)*r(490)+( 1.000)*r(500)
     &                +( 1.000)*r(510)
c
        Gain(lRCO3 )= +( 1.000)*r( 74)+( 0.600)*r( 75)+( 1.000)*r(121)
     &                +( 1.000)*r(131)+( 1.000)*r(141)+( 1.000)*r(151)
     &                +( 1.000)*r(161)+( 1.000)*r(164)+( 1.000)*r(166)
     &                +( 0.500)*r(167)+( 0.500)*r(168)+( 0.500)*r(169)
     &                +( 1.000)*r(170)+( 2.000)*r(171)+( 1.000)*r(172)
     &                +( 1.000)*r(173)+( 1.000)*r(181)+( 1.000)*r(191)
     &                +( 1.000)*r(201)+( 0.965)*r(211)+( 1.000)*r(213)
     &                +( 0.370)*r(232)+( 0.370)*r(233)+( 0.300)*r(266)
     &                +( 0.600)*r(268)+( 0.806)*r(281)+( 1.000)*r(290)
        Gain(lRCO3 ) = Gain(lRCO3 )
     &                +( 1.000)*r(300)+( 1.000)*r(310)+( 1.000)*r(320)
     &                +( 1.000)*r(330)+( 1.000)*r(340)+( 1.000)*r(350)
     &                +( 1.000)*r(360)+( 1.000)*r(370)+( 1.000)*r(380)
     &                +( 1.000)*r(390)+( 1.000)*r(400)+( 1.000)*r(410)
     &                +( 1.000)*r(420)+( 1.000)*r(430)+( 1.000)*r(440)
     &                +( 1.000)*r(450)+( 1.000)*r(460)+( 1.000)*r(470)
     &                +( 1.000)*r(480)+( 1.000)*r(490)+( 1.000)*r(500)
     &                +( 1.000)*r(510)
c
        Loss(lPAN2 )= +( 1.000)*r( 74)+( 1.000)*r( 75)
c
        Gain(lPAN2 )= +( 1.000)*r( 73)
c
        Loss(lXHO2 )= +( 1.000)*r(114)+( 1.000)*r(115)+( 1.000)*r(116)
     &                +( 1.000)*r(117)+( 1.000)*r(118)+( 1.000)*r(119)
     &                +( 1.000)*r(120)+( 1.000)*r(121)+( 1.000)*r(122)
     &                +( 1.000)*r(123)
c
        Gain(lXHO2 )= +( 0.400)*r( 75)+( 1.000)*r( 76)+( 1.000)*r( 78)
     &                +( 1.000)*r( 79)+( 1.000)*r( 80)+( 1.000)*r( 81)
     &                +( 1.000)*r( 82)+( 2.000)*r( 83)+( 1.000)*r( 94)
     &                +( 1.000)*r(106)+( 1.000)*r(113)+( 0.035)*r(211)
     &                +( 1.000)*r(212)+( 0.376)*r(216)+( 1.000)*r(217)
     &                +( 0.491)*r(220)+( 1.000)*r(221)+( 0.239)*r(224)
     &                +( 0.090)*r(226)+( 0.782)*r(227)+( 0.565)*r(228)
     &                +( 0.800)*r(238)+( 0.521)*r(246)+( 0.521)*r(249)
     &                +( 0.561)*r(252)+( 0.095)*r(253)+( 0.500)*r(254)
        Gain(lXHO2 ) = Gain(lXHO2 )
     &                +( 0.500)*r(256)+( 0.300)*r(259)+( 0.050)*r(260)
     &                +( 0.670)*r(263)+( 0.799)*r(265)+( 0.379)*r(267)
     &                +( 0.913)*r(268)+( 0.305)*r(269)+( 0.554)*r(270)
     &                +( 0.250)*r(274)+( 0.031)*r(276)+( 0.084)*r(281)
     &                +( 1.000)*r(282)+( 1.000)*r(514)+( 1.000)*r(516)
     &                +( 0.290)*r(517)+( 0.984)*r(518)+( 0.949)*r(520)
     &                +( 0.951)*r(522)+( 0.815)*r(524)+( 0.117)*r(525)
     &                +( 0.907)*r(526)+( 0.749)*r(528)+( 0.799)*r(530)
        Gain(lXHO2 ) = Gain(lXHO2 )
     &                +( 0.102)*r(531)+( 0.056)*r(532)+( 0.290)*r(536)
     &                +( 0.454)*r(537)+( 0.520)*r(538)+( 0.554)*r(539)
     &                +( 0.487)*r(540)+( 0.627)*r(541)+( 0.050)*r(542)
     &                +( 1.000)*r(543)+( 0.965)*r(544)+( 0.695)*r(545)
     &                +( 0.830)*r(546)+( 0.647)*r(547)+( 0.871)*r(548)
     &                +( 0.057)*r(549)+( 0.772)*r(550)+( 0.912)*r(552)
     &                +( 0.041)*r(553)+( 0.400)*r(554)+( 0.566)*r(556)
     &                +( 0.617)*r(557)+( 0.734)*r(558)+( 0.046)*r(559)
        Gain(lXHO2 ) = Gain(lXHO2 )
     &                +( 0.227)*r(560)+( 0.734)*r(562)+( 0.046)*r(563)
     &                +( 0.227)*r(564)
c
        Loss(lYRPX )= +( 1.000)*r(453)+( 1.000)*r(454)+( 1.000)*r(455)
     &                +( 1.000)*r(456)+( 1.000)*r(457)+( 1.000)*r(458)
     &                +( 1.000)*r(459)+( 1.000)*r(460)+( 1.000)*r(461)
     &                +( 1.000)*r(462)
c
        Gain(lYRPX )= +( 0.400)*r( 75)+( 1.000)*r( 76)+( 1.000)*r( 78)
     &                +( 1.000)*r( 79)+( 1.000)*r( 80)+( 1.000)*r( 81)
     &                +( 1.000)*r( 82)+( 2.000)*r( 83)+( 1.000)*r( 94)
     &                +( 1.000)*r(106)+( 0.035)*r(211)+( 1.000)*r(212)
     &                +( 1.000)*r(214)+( 1.000)*r(216)+( 1.000)*r(217)
     &                +( 0.491)*r(220)+( 1.000)*r(221)+( 0.256)*r(224)
     &                +( 0.160)*r(226)+( 0.500)*r(254)+( 0.100)*r(255)
     &                +( 0.500)*r(256)+( 0.330)*r(258)+( 1.000)*r(259)
     &                +( 0.050)*r(260)+( 0.157)*r(269)+( 0.066)*r(270)
        Gain(lYRPX ) = Gain(lYRPX )
     &                +( 0.250)*r(274)+( 0.033)*r(276)+( 0.020)*r(279)
     &                +( 0.194)*r(281)+( 1.000)*r(282)+( 1.000)*r(514)
     &                +( 1.000)*r(516)+( 0.290)*r(517)+( 1.000)*r(518)
     &                +( 1.000)*r(520)+( 1.000)*r(522)+( 1.000)*r(524)
     &                +( 0.250)*r(525)+( 0.050)*r(542)+( 1.000)*r(543)
     &                +( 1.000)*r(544)+( 0.983)*r(545)+( 0.169)*r(548)
     &                +( 0.011)*r(549)+( 0.169)*r(550)+( 0.319)*r(552)
     &                +( 0.073)*r(553)+( 0.319)*r(554)
c
        Loss(lXCCH )= +( 1.000)*r(293)+( 1.000)*r(294)+( 1.000)*r(295)
     &                +( 1.000)*r(296)+( 1.000)*r(297)+( 1.000)*r(298)
     &                +( 1.000)*r(299)+( 1.000)*r(300)+( 1.000)*r(301)
     &                +( 1.000)*r(302)
c
        Gain(lXCCH )= +( 0.400)*r( 75)+( 1.000)*r( 76)+( 1.000)*r( 78)
     &                +( 1.000)*r( 79)+( 1.000)*r( 80)+( 1.000)*r( 81)
     &                +( 1.000)*r( 82)+( 2.000)*r( 83)+( 1.000)*r( 94)
     &                +( 1.000)*r(106)+( 0.035)*r(211)+( 1.000)*r(212)
     &                +( 0.504)*r(216)+( 1.000)*r(217)+( 0.142)*r(221)
     &                +( 0.012)*r(224)+( 0.020)*r(226)+( 0.026)*r(227)
     &                +( 0.083)*r(267)+( 0.163)*r(268)+( 0.429)*r(269)
     &                +( 0.230)*r(270)+( 0.167)*r(274)+( 0.110)*r(281)
     &                +( 1.000)*r(282)+( 0.984)*r(518)+( 1.000)*r(543)
        Gain(lXCCH ) = Gain(lXCCH )
     &                +( 0.445)*r(545)+( 0.438)*r(546)+( 0.106)*r(547)
     &                +( 0.010)*r(548)+( 0.011)*r(549)+( 0.013)*r(550)
     &                +( 0.835)*r(552)+( 0.071)*r(553)+( 0.579)*r(554)
     &                +( 0.002)*r(564)
c
        Loss(lRO3H )= +( 1.000)*r(281)+( 1.000)*r(282)
c
        Gain(lRO3H )= +( 0.750)*r( 77)+( 0.750)*r( 88)+( 0.750)*r(100)
c
        Loss(lPACD )= +( 1.000)*r(221)
c
        Gain(lPACD )= +( 0.250)*r( 77)+( 0.250)*r( 88)+( 0.250)*r(100)
     &                +( 0.372)*r(264)+( 0.159)*r(549)+( 0.235)*r(553)
     &                +( 0.068)*r(559)+( 0.068)*r(563)
c
        Loss(lBZC3 )= +( 1.000)*r( 84)+( 1.000)*r( 87)+( 1.000)*r( 88)
     &                +( 1.000)*r( 89)+( 1.000)*r( 90)+( 1.000)*r( 91)
     &                +( 1.000)*r( 92)+( 1.000)*r( 93)+( 1.000)*r( 94)
     &                +( 2.000)*r( 95)+( 1.000)*r(107)+( 1.000)*r(122)
     &                +( 1.000)*r(132)+( 1.000)*r(142)+( 1.000)*r(152)
     &                +( 1.000)*r(162)+( 1.000)*r(172)+( 1.000)*r(182)
     &                +( 1.000)*r(192)+( 1.000)*r(202)+( 1.000)*r(291)
     &                +( 1.000)*r(301)+( 1.000)*r(311)+( 1.000)*r(321)
     &                +( 1.000)*r(331)+( 1.000)*r(341)+( 1.000)*r(351)
        Loss(lBZC3 ) = Loss(lBZC3 )
     &                +( 1.000)*r(361)+( 1.000)*r(371)+( 1.000)*r(381)
     &                +( 1.000)*r(391)+( 1.000)*r(401)+( 1.000)*r(411)
     &                +( 1.000)*r(421)+( 1.000)*r(431)+( 1.000)*r(441)
     &                +( 1.000)*r(451)+( 1.000)*r(461)+( 1.000)*r(471)
     &                +( 1.000)*r(481)+( 1.000)*r(491)+( 1.000)*r(501)
     &                +( 1.000)*r(511)
c
        Gain(lBZC3 )= +( 1.000)*r( 85)+( 0.600)*r( 86)+( 1.000)*r(122)
     &                +( 1.000)*r(132)+( 1.000)*r(142)+( 1.000)*r(152)
     &                +( 1.000)*r(162)+( 1.000)*r(172)+( 1.000)*r(182)
     &                +( 1.000)*r(192)+( 1.000)*r(202)+( 1.000)*r(243)
     &                +( 1.000)*r(245)+( 1.000)*r(291)+( 1.000)*r(301)
     &                +( 1.000)*r(311)+( 1.000)*r(321)+( 1.000)*r(331)
     &                +( 1.000)*r(341)+( 1.000)*r(351)+( 1.000)*r(361)
     &                +( 1.000)*r(371)+( 1.000)*r(381)+( 1.000)*r(391)
     &                +( 1.000)*r(401)+( 1.000)*r(411)+( 1.000)*r(421)
        Gain(lBZC3 ) = Gain(lBZC3 )
     &                +( 1.000)*r(431)+( 1.000)*r(441)+( 1.000)*r(451)
     &                +( 1.000)*r(461)+( 1.000)*r(471)+( 1.000)*r(481)
     &                +( 1.000)*r(491)+( 1.000)*r(501)+( 1.000)*r(511)
c
        Loss(lPBZN )= +( 1.000)*r( 85)+( 1.000)*r( 86)
c
        Gain(lPBZN )= +( 1.000)*r( 84)
c
        Loss(lBZO  )= +( 1.000)*r(111)+( 1.000)*r(112)+( 1.000)*r(113)
c
        Gain(lBZO  )= +( 0.400)*r( 86)+( 1.000)*r( 87)+( 1.000)*r( 89)
     &                +( 1.000)*r( 90)+( 1.000)*r( 91)+( 1.000)*r( 92)
     &                +( 1.000)*r( 93)+( 1.000)*r( 94)+( 2.000)*r( 95)
     &                +( 1.000)*r(107)+( 0.200)*r(238)+( 1.000)*r(239)
     &                +( 1.000)*r(240)
c
        Loss(lMAC3 )= +( 1.000)*r( 96)+( 1.000)*r( 99)+( 1.000)*r(100)
     &                +( 1.000)*r(101)+( 1.000)*r(102)+( 1.000)*r(103)
     &                +( 1.000)*r(104)+( 1.000)*r(105)+( 1.000)*r(106)
     &                +( 1.000)*r(107)+( 2.000)*r(108)+( 1.000)*r(123)
     &                +( 1.000)*r(133)+( 1.000)*r(143)+( 1.000)*r(153)
     &                +( 1.000)*r(163)+( 1.000)*r(173)+( 1.000)*r(183)
     &                +( 1.000)*r(193)+( 1.000)*r(203)+( 1.000)*r(292)
     &                +( 1.000)*r(302)+( 1.000)*r(312)+( 1.000)*r(322)
     &                +( 1.000)*r(332)+( 1.000)*r(342)+( 1.000)*r(352)
        Loss(lMAC3 ) = Loss(lMAC3 )
     &                +( 1.000)*r(362)+( 1.000)*r(372)+( 1.000)*r(382)
     &                +( 1.000)*r(392)+( 1.000)*r(402)+( 1.000)*r(412)
     &                +( 1.000)*r(422)+( 1.000)*r(432)+( 1.000)*r(442)
     &                +( 1.000)*r(452)+( 1.000)*r(462)+( 1.000)*r(472)
     &                +( 1.000)*r(482)+( 1.000)*r(492)+( 1.000)*r(502)
     &                +( 1.000)*r(512)
c
        Gain(lMAC3 )= +( 1.000)*r( 97)+( 0.600)*r( 98)+( 1.000)*r(123)
     &                +( 1.000)*r(133)+( 1.000)*r(143)+( 1.000)*r(153)
     &                +( 1.000)*r(163)+( 1.000)*r(173)+( 1.000)*r(174)
     &                +( 1.000)*r(176)+( 0.500)*r(177)+( 0.500)*r(178)
     &                +( 0.500)*r(179)+( 1.000)*r(180)+( 1.000)*r(181)
     &                +( 1.000)*r(182)+( 2.000)*r(183)+( 1.000)*r(193)
     &                +( 1.000)*r(203)+( 0.217)*r(246)+( 0.500)*r(248)
     &                +( 0.217)*r(249)+( 0.206)*r(252)+( 0.500)*r(254)
     &                +( 0.500)*r(256)+( 0.330)*r(258)+( 0.400)*r(262)
        Gain(lMAC3 ) = Gain(lMAC3 )
     &                +( 0.289)*r(263)+( 0.150)*r(265)+( 0.750)*r(274)
     &                +( 0.967)*r(276)+( 0.330)*r(278)+( 1.000)*r(292)
     &                +( 1.000)*r(302)+( 1.000)*r(312)+( 1.000)*r(322)
     &                +( 1.000)*r(332)+( 1.000)*r(342)+( 1.000)*r(352)
     &                +( 1.000)*r(362)+( 1.000)*r(372)+( 1.000)*r(382)
     &                +( 1.000)*r(392)+( 1.000)*r(402)+( 1.000)*r(412)
     &                +( 1.000)*r(422)+( 1.000)*r(432)+( 1.000)*r(442)
     &                +( 1.000)*r(452)+( 1.000)*r(462)+( 1.000)*r(472)
        Gain(lMAC3 ) = Gain(lMAC3 )
     &                +( 1.000)*r(482)+( 1.000)*r(492)+( 1.000)*r(502)
     &                +( 1.000)*r(512)
c
        Loss(lMPAN )= +( 1.000)*r( 97)+( 1.000)*r( 98)
c
        Gain(lMPAN )= +( 1.000)*r( 96)
c
        Loss(lTBUO )= +( 1.000)*r(109)+( 1.000)*r(110)
c
        Gain(lTBUO )= +( 1.000)*r(184)+( 1.000)*r(186)+( 0.500)*r(187)
     &                +( 0.500)*r(188)+( 0.500)*r(189)+( 1.000)*r(190)
     &                +( 1.000)*r(191)+( 1.000)*r(192)+( 1.000)*r(193)
c
        Loss(lRNO3 )= +( 1.000)*r(269)+( 1.000)*r(270)
c
        Gain(lRNO3 )= +( 1.000)*r(109)+( 0.189)*r(269)+( 1.000)*r(443)
     &                +( 1.000)*r(445)+( 0.500)*r(446)+( 0.500)*r(447)
     &                +( 0.500)*r(448)+( 1.000)*r(449)+( 1.000)*r(450)
     &                +( 1.000)*r(451)+( 1.000)*r(452)+( 1.000)*r(483)
c
        Loss(lACET )= +( 1.000)*r(214)+( 1.000)*r(215)
c
        Gain(lACET )= +( 1.000)*r(110)+( 1.000)*r(313)+( 1.000)*r(315)
     &                +( 0.500)*r(316)+( 0.500)*r(317)+( 0.500)*r(318)
     &                +( 1.000)*r(319)+( 1.000)*r(320)+( 1.000)*r(321)
     &                +( 1.000)*r(322)+( 0.051)*r(553)
c
        Loss(lNPHE )= +( 1.000)*r(240)+( 1.000)*r(241)+( 1.000)*r(242)
c
        Gain(lNPHE )= +( 1.000)*r(111)
c
        Loss(lCRES )= +( 1.000)*r(238)+( 1.000)*r(239)
c
        Gain(lCRES )= +( 1.000)*r(112)+( 1.000)*r(113)+( 0.570)*r(536)
     &                +( 0.181)*r(537)+( 0.159)*r(538)+( 0.161)*r(539)
     &                +( 0.159)*r(540)+( 0.022)*r(541)+( 0.123)*r(556)
     &                +( 0.077)*r(557)
c
        Loss(lXOH  )= +( 1.000)*r(124)+( 1.000)*r(125)+( 1.000)*r(126)
     &                +( 1.000)*r(127)+( 1.000)*r(128)+( 1.000)*r(129)
     &                +( 1.000)*r(130)+( 1.000)*r(131)+( 1.000)*r(132)
     &                +( 1.000)*r(133)
c
        Gain(lXOH  )= +( 0.012)*r(224)+( 0.041)*r(226)+( 0.024)*r(228)
     &                +( 0.020)*r(279)+( 0.110)*r(281)
c
        Loss(lXNO2 )= +( 1.000)*r(134)+( 1.000)*r(135)+( 1.000)*r(136)
     &                +( 1.000)*r(137)+( 1.000)*r(138)+( 1.000)*r(139)
     &                +( 1.000)*r(140)+( 1.000)*r(141)+( 1.000)*r(142)
     &                +( 1.000)*r(143)
c
        Gain(lXNO2 )= +( 0.313)*r(269)+( 0.120)*r(524)+( 0.187)*r(528)
     &                +( 0.643)*r(532)+( 0.426)*r(554)+( 0.287)*r(560)
     &                +( 0.287)*r(564)
c
        Loss(lXMEO )= +( 1.000)*r(144)+( 1.000)*r(145)+( 1.000)*r(146)
     &                +( 1.000)*r(147)+( 1.000)*r(148)+( 1.000)*r(149)
     &                +( 1.000)*r(150)+( 1.000)*r(151)+( 1.000)*r(152)
     &                +( 1.000)*r(153)
c
        Gain(lXMEO )= +( 0.010)*r(546)+( 0.001)*r(548)+( 0.035)*r(554)
c
        Loss(lXMC3 )= +( 1.000)*r(154)+( 1.000)*r(155)+( 1.000)*r(156)
     &                +( 1.000)*r(157)+( 1.000)*r(158)+( 1.000)*r(159)
     &                +( 1.000)*r(160)+( 1.000)*r(161)+( 1.000)*r(162)
     &                +( 1.000)*r(163)
c
        Gain(lXMC3 )= +( 1.000)*r(214)+( 0.510)*r(216)+( 0.201)*r(246)
     &                +( 0.201)*r(249)+( 0.117)*r(252)+( 0.330)*r(258)
     &                +( 0.675)*r(259)+( 0.029)*r(267)+( 0.001)*r(531)
     &                +( 0.011)*r(546)+( 0.156)*r(553)+( 0.202)*r(559)
     &                +( 0.202)*r(563)
c
        Loss(lXRC3 )= +( 1.000)*r(164)+( 1.000)*r(165)+( 1.000)*r(166)
     &                +( 1.000)*r(167)+( 1.000)*r(168)+( 1.000)*r(169)
     &                +( 1.000)*r(170)+( 1.000)*r(171)+( 1.000)*r(172)
     &                +( 1.000)*r(173)
c
        Gain(lXRC3 )= +( 0.074)*r(216)+( 0.652)*r(247)+( 0.652)*r(250)
     &                +( 0.163)*r(253)+( 0.100)*r(255)+( 0.050)*r(260)
     &                +( 0.048)*r(264)+( 0.049)*r(267)+( 0.004)*r(530)
     &                +( 0.297)*r(531)+( 0.007)*r(532)+( 0.008)*r(553)
     &                +( 0.064)*r(558)+( 0.059)*r(559)+( 0.026)*r(560)
     &                +( 0.064)*r(562)+( 0.059)*r(563)+( 0.026)*r(564)
c
        Loss(lXMA3 )= +( 1.000)*r(174)+( 1.000)*r(175)+( 1.000)*r(176)
     &                +( 1.000)*r(177)+( 1.000)*r(178)+( 1.000)*r(179)
     &                +( 1.000)*r(180)+( 1.000)*r(181)+( 1.000)*r(182)
     &                +( 1.000)*r(183)
c
        Gain(lXMA3 )= +( 0.118)*r(525)+( 0.192)*r(527)+( 0.240)*r(529)
c
        Loss(lXTBU )= +( 1.000)*r(184)+( 1.000)*r(185)+( 1.000)*r(186)
     &                +( 1.000)*r(187)+( 1.000)*r(188)+( 1.000)*r(189)
     &                +( 1.000)*r(190)+( 1.000)*r(191)+( 1.000)*r(192)
     &                +( 1.000)*r(193)
c
        Gain(lXTBU )= +( 0.236)*r(545)
c
        Loss(lXCO  )= +( 1.000)*r(194)+( 1.000)*r(195)+( 1.000)*r(196)
     &                +( 1.000)*r(197)+( 1.000)*r(198)+( 1.000)*r(199)
     &                +( 1.000)*r(200)+( 1.000)*r(201)+( 1.000)*r(202)
     &                +( 1.000)*r(203)
c
        Gain(lXCO  )= +( 0.035)*r(211)+( 0.334)*r(246)+( 0.334)*r(249)
     &                +( 0.114)*r(252)+( 0.416)*r(254)+( 0.500)*r(256)
     &                +( 0.336)*r(263)+( 0.572)*r(265)+( 0.167)*r(274)
     &                +( 0.031)*r(276)+( 0.278)*r(517)+( 0.115)*r(525)
     &                +( 0.002)*r(530)+( 0.051)*r(531)+( 0.005)*r(532)
     &                +( 0.002)*r(546)+( 0.001)*r(558)+( 0.012)*r(560)
     &                +( 0.001)*r(562)+( 0.012)*r(564)
c
        Loss(lCCHO )= +( 1.000)*r(208)+( 1.000)*r(209)+( 1.000)*r(210)
c
        Gain(lCCHO )= +( 0.001)*r(267)+( 0.214)*r(270)+( 1.000)*r(293)
     &                +( 1.000)*r(295)+( 0.500)*r(296)+( 0.500)*r(297)
     &                +( 0.500)*r(298)+( 1.000)*r(299)+( 1.000)*r(300)
     &                +( 1.000)*r(301)+( 1.000)*r(302)+( 0.100)*r(517)
     &                +( 0.500)*r(519)+( 0.950)*r(542)+( 0.453)*r(553)
c
        Loss(lRCHO )= +( 1.000)*r(211)+( 1.000)*r(212)+( 1.000)*r(213)
c
        Gain(lRCHO )= +( 0.744)*r(224)+( 1.000)*r(225)+( 0.085)*r(227)
     &                +( 1.000)*r(257)+( 0.450)*r(261)+( 0.143)*r(267)
     &                +( 0.001)*r(269)+( 0.074)*r(270)+( 1.000)*r(277)
     &                +( 1.000)*r(303)+( 1.000)*r(305)+( 0.500)*r(306)
     &                +( 0.500)*r(307)+( 0.500)*r(308)+( 1.000)*r(309)
     &                +( 1.000)*r(310)+( 1.000)*r(311)+( 1.000)*r(312)
     &                +( 0.450)*r(521)+( 0.500)*r(549)+( 0.450)*r(551)
     &                +( 0.333)*r(553)+( 0.079)*r(555)+( 0.237)*r(561)
     &                +( 0.237)*r(565)
c
        Loss(lXHCH )= +( 1.000)*r(283)+( 1.000)*r(284)+( 1.000)*r(285)
     &                +( 1.000)*r(286)+( 1.000)*r(287)+( 1.000)*r(288)
     &                +( 1.000)*r(289)+( 1.000)*r(290)+( 1.000)*r(291)
     &                +( 1.000)*r(292)
c
        Gain(lXHCH )= +( 1.000)*r(214)+( 0.088)*r(216)+( 0.012)*r(224)
     &                +( 0.652)*r(247)+( 0.652)*r(250)+( 0.163)*r(253)
     &                +( 0.084)*r(254)+( 0.100)*r(255)+( 0.330)*r(258)
     &                +( 0.300)*r(259)+( 0.050)*r(260)+( 0.055)*r(263)
     &                +( 0.001)*r(264)+( 0.227)*r(265)+( 0.211)*r(267)
     &                +( 0.303)*r(268)+( 0.011)*r(269)+( 0.061)*r(270)
     &                +( 0.083)*r(274)+( 0.020)*r(279)+( 1.610)*r(514)
     &                +( 0.278)*r(517)+( 0.984)*r(518)+( 0.708)*r(522)
     &                +( 0.115)*r(524)+( 0.624)*r(526)+( 0.192)*r(527)
        Gain(lXHCH ) = Gain(lXHCH )
     &                +( 0.240)*r(529)+( 0.022)*r(530)+( 0.344)*r(531)
     &                +( 0.007)*r(532)+( 0.081)*r(542)+( 0.026)*r(545)
     &                +( 0.029)*r(546)+( 0.040)*r(547)+( 0.582)*r(548)
     &                +( 0.179)*r(552)+( 0.114)*r(553)+( 0.072)*r(554)
     &                +( 0.411)*r(558)+( 0.033)*r(559)+( 0.023)*r(560)
     &                +( 0.411)*r(562)+( 0.033)*r(563)+( 0.023)*r(564)
c
        Loss(lMEK  )= +( 1.000)*r(216)+( 1.000)*r(217)
c
        Gain(lMEK  )= +( 0.550)*r(261)+( 0.210)*r(264)+( 0.233)*r(266)
     &                +( 0.010)*r(269)+( 0.124)*r(270)+( 1.000)*r(323)
     &                +( 1.000)*r(325)+( 0.500)*r(326)+( 0.500)*r(327)
     &                +( 0.500)*r(328)+( 1.000)*r(329)+( 1.000)*r(330)
     &                +( 1.000)*r(331)+( 1.000)*r(332)+( 0.500)*r(456)
     &                +( 0.500)*r(457)+( 0.500)*r(458)+( 0.550)*r(521)
     &                +( 0.008)*r(531)+( 0.009)*r(549)+( 0.390)*r(551)
     &                +( 0.033)*r(553)+( 0.751)*r(555)+( 0.002)*r(559)
     &                +( 0.002)*r(563)
c
        Loss(lZRN3 )= +( 1.000)*r(483)+( 1.000)*r(484)+( 1.000)*r(485)
     &                +( 1.000)*r(486)+( 1.000)*r(487)+( 1.000)*r(488)
     &                +( 1.000)*r(489)+( 1.000)*r(490)+( 1.000)*r(491)
     &                +( 1.000)*r(492)
c
        Gain(lZRN3 )= +( 0.039)*r(216)+( 0.004)*r(224)+( 0.029)*r(226)
     &                +( 0.077)*r(227)+( 0.124)*r(228)+( 0.060)*r(246)
     &                +( 0.060)*r(249)+( 0.117)*r(252)+( 0.007)*r(253)
     &                +( 0.025)*r(259)+( 0.041)*r(263)+( 0.051)*r(265)
     &                +( 0.071)*r(267)+( 0.087)*r(268)+( 0.175)*r(269)
     &                +( 0.102)*r(270)+( 0.002)*r(276)+( 0.016)*r(518)
     &                +( 0.051)*r(520)+( 0.049)*r(522)+( 0.065)*r(524)
     &                +( 0.015)*r(525)+( 0.093)*r(526)+( 0.008)*r(527)
     &                +( 0.064)*r(528)+( 0.010)*r(529)+( 0.197)*r(530)
        Gain(lZRN3 ) = Gain(lZRN3 )
     &                +( 0.337)*r(531)+( 0.293)*r(532)+( 0.024)*r(536)
     &                +( 0.054)*r(537)+( 0.082)*r(538)+( 0.087)*r(539)
     &                +( 0.076)*r(540)+( 0.121)*r(541)+( 0.035)*r(544)
     &                +( 0.070)*r(545)+( 0.149)*r(546)+( 0.353)*r(547)
     &                +( 0.128)*r(548)+( 0.005)*r(549)+( 0.228)*r(550)
     &                +( 0.088)*r(552)+( 0.003)*r(553)+( 0.140)*r(554)
     &                +( 0.110)*r(556)+( 0.128)*r(557)+( 0.201)*r(558)
     &                +( 0.121)*r(559)+( 0.460)*r(560)+( 0.201)*r(562)
        Gain(lZRN3 ) = Gain(lZRN3 )
     &                +( 0.121)*r(563)+( 0.460)*r(564)
c
        Loss(lXRCH )= +( 1.000)*r(303)+( 1.000)*r(304)+( 1.000)*r(305)
     &                +( 1.000)*r(306)+( 1.000)*r(307)+( 1.000)*r(308)
     &                +( 1.000)*r(309)+( 1.000)*r(310)+( 1.000)*r(311)
     &                +( 1.000)*r(312)
c
        Gain(lXRCH )= +( 0.376)*r(216)+( 0.400)*r(221)+( 0.205)*r(224)
     &                +( 0.075)*r(226)+( 0.058)*r(227)+( 0.448)*r(228)
     &                +( 0.407)*r(246)+( 0.407)*r(249)+( 0.013)*r(263)
     &                +( 0.218)*r(265)+( 0.402)*r(267)+( 0.780)*r(268)
     &                +( 0.036)*r(269)+( 0.063)*r(270)+( 0.084)*r(281)
     &                +( 1.000)*r(516)+( 0.776)*r(530)+( 0.240)*r(531)
     &                +( 0.684)*r(532)+( 0.261)*r(544)+( 0.122)*r(545)
     &                +( 0.236)*r(546)+( 0.209)*r(547)+( 0.666)*r(548)
     &                +( 0.044)*r(549)+( 0.003)*r(550)+( 0.510)*r(552)
        Gain(lXRCH ) = Gain(lXRCH )
     &                +( 0.019)*r(553)+( 0.163)*r(554)+( 0.385)*r(558)
     &                +( 0.208)*r(559)+( 0.403)*r(560)+( 0.385)*r(562)
     &                +( 0.208)*r(563)+( 0.403)*r(564)
c
        Loss(lFACD )= +( 1.000)*r(219)
c
        Gain(lFACD )= +( 0.333)*r(255)+( 0.351)*r(260)+( 0.100)*r(264)
     &                +( 0.185)*r(275)+( 0.370)*r(515)+( 0.185)*r(519)
     &                +( 0.185)*r(523)+( 0.204)*r(527)+( 0.300)*r(534)
     &                +( 0.185)*r(549)+( 0.024)*r(553)+( 0.172)*r(559)
     &                +( 0.172)*r(563)
c
        Loss(lXMGL )= +( 1.000)*r(353)+( 1.000)*r(354)+( 1.000)*r(355)
     &                +( 1.000)*r(356)+( 1.000)*r(357)+( 1.000)*r(358)
     &                +( 1.000)*r(359)+( 1.000)*r(360)+( 1.000)*r(361)
     &                +( 1.000)*r(362)
c
        Gain(lXMGL )= +( 0.491)*r(220)+( 0.252)*r(228)+( 0.250)*r(238)
     &                +( 0.267)*r(246)+( 0.267)*r(249)+( 0.153)*r(252)
     &                +( 0.095)*r(253)+( 0.084)*r(254)+( 0.300)*r(259)
     &                +( 0.174)*r(263)+( 0.008)*r(265)+( 0.020)*r(530)
     &                +( 0.002)*r(532)+( 0.151)*r(537)+( 0.380)*r(538)
     &                +( 0.238)*r(539)+( 0.112)*r(540)+( 0.405)*r(541)
     &                +( 0.100)*r(556)+( 0.312)*r(557)+( 0.003)*r(558)
     &                +( 0.003)*r(559)+( 0.003)*r(562)+( 0.003)*r(563)
c
        Loss(lXBAC )= +( 1.000)*r(363)+( 1.000)*r(364)+( 1.000)*r(365)
     &                +( 1.000)*r(366)+( 1.000)*r(367)+( 1.000)*r(368)
     &                +( 1.000)*r(369)+( 1.000)*r(370)+( 1.000)*r(371)
     &                +( 1.000)*r(372)
c
        Gain(lXBAC )= +( 0.457)*r(221)+( 0.019)*r(252)+( 0.023)*r(530)
     &                +( 0.081)*r(531)+( 0.185)*r(539)+( 0.112)*r(541)
     &                +( 0.134)*r(557)+( 0.009)*r(558)+( 0.039)*r(559)
     &                +( 0.009)*r(562)+( 0.039)*r(563)
c
        Loss(lROOH )= +( 1.000)*r(224)+( 1.000)*r(225)
c
        Gain(lROOH )= +( 1.000)*r(454)
c
        Loss(lXPD2 )= +( 1.000)*r(333)+( 1.000)*r(334)+( 1.000)*r(335)
     &                +( 1.000)*r(336)+( 1.000)*r(337)+( 1.000)*r(338)
     &                +( 1.000)*r(339)+( 1.000)*r(340)+( 1.000)*r(341)
     &                +( 1.000)*r(342)
c
        Gain(lXPD2 )= +( 0.034)*r(224)+( 0.084)*r(226)+( 0.698)*r(227)
     &                +( 0.332)*r(263)+( 0.007)*r(267)+( 0.031)*r(269)
     &                +( 0.261)*r(270)+( 0.146)*r(546)+( 0.407)*r(547)
     &                +( 0.168)*r(548)+( 0.023)*r(552)+( 0.309)*r(556)
     &                +( 0.057)*r(557)+( 0.409)*r(558)+( 0.409)*r(562)
c
        Loss(lR6PX )= +( 1.000)*r(226)+( 1.000)*r(227)
c
        Gain(lR6PX )= +( 1.000)*r(464)
c
        Loss(lPRD2 )= +( 1.000)*r(267)+( 1.000)*r(268)
c
        Gain(lPRD2 )= +( 0.840)*r(226)+( 0.142)*r(227)+( 0.074)*r(228)
     &                +( 1.000)*r(251)+( 0.600)*r(262)+( 0.329)*r(267)
     &                +( 0.008)*r(269)+( 0.190)*r(270)+( 1.000)*r(333)
     &                +( 1.000)*r(335)+( 0.500)*r(336)+( 0.500)*r(337)
     &                +( 0.500)*r(338)+( 1.000)*r(339)+( 1.000)*r(340)
     &                +( 1.000)*r(341)+( 1.000)*r(342)+( 0.500)*r(466)
     &                +( 0.500)*r(467)+( 0.500)*r(468)+( 0.500)*r(476)
     &                +( 0.500)*r(477)+( 0.500)*r(478)+( 1.000)*r(485)
     &                +( 0.500)*r(486)+( 0.500)*r(487)+( 0.500)*r(488)
        Gain(lPRD2 ) = Gain(lPRD2 )
     &                +( 1.000)*r(489)+( 1.000)*r(490)+( 1.000)*r(491)
     &                +( 1.000)*r(492)+( 0.125)*r(523)+( 0.750)*r(525)
     &                +( 0.100)*r(527)+( 0.750)*r(529)+( 0.255)*r(531)
     &                +( 1.000)*r(533)+( 0.268)*r(549)+( 0.160)*r(551)
     &                +( 0.037)*r(553)+( 0.170)*r(555)+( 0.502)*r(559)
     &                +( 0.763)*r(561)+( 0.502)*r(563)+( 0.763)*r(565)
c
        Loss(lY6PX )= +( 1.000)*r(463)+( 1.000)*r(464)+( 1.000)*r(465)
     &                +( 1.000)*r(466)+( 1.000)*r(467)+( 1.000)*r(468)
     &                +( 1.000)*r(469)+( 1.000)*r(470)+( 1.000)*r(471)
     &                +( 1.000)*r(472)
c
        Gain(lY6PX )= +( 0.858)*r(227)+( 0.713)*r(228)+( 0.800)*r(238)
     &                +( 0.783)*r(246)+( 0.652)*r(247)+( 0.783)*r(249)
     &                +( 0.652)*r(250)+( 0.794)*r(252)+( 0.264)*r(253)
     &                +( 0.711)*r(263)+( 0.048)*r(264)+( 0.850)*r(265)
     &                +( 0.528)*r(267)+( 1.000)*r(268)+( 0.636)*r(269)
     &                +( 0.591)*r(270)+( 1.000)*r(526)+( 0.200)*r(527)
     &                +( 1.000)*r(528)+( 0.250)*r(529)+( 1.000)*r(530)
     &                +( 0.737)*r(531)+( 1.000)*r(532)+( 0.073)*r(537)
     &                +( 0.047)*r(538)+( 0.055)*r(539)+( 0.102)*r(540)
        Gain(lY6PX ) = Gain(lY6PX )
     &                +( 0.043)*r(541)+( 0.017)*r(545)+( 1.000)*r(546)
     &                +( 1.000)*r(547)+( 0.831)*r(548)+( 0.052)*r(549)
     &                +( 0.831)*r(550)+( 0.681)*r(552)+( 0.136)*r(553)
     &                +( 0.681)*r(554)+( 0.369)*r(556)+( 0.101)*r(557)
     &                +( 1.000)*r(558)+( 0.428)*r(559)+( 1.000)*r(560)
     &                +( 1.000)*r(562)+( 0.428)*r(563)+( 1.000)*r(564)
c
        Loss(lRAPX )= +( 1.000)*r(228)+( 1.000)*r(229)
c
        Gain(lRAPX )= +( 1.000)*r(474)
c
        Loss(lMGLY )= +( 1.000)*r(234)+( 1.000)*r(235)+( 1.000)*r(236)
c
        Gain(lMGLY )= +( 0.147)*r(228)+( 0.500)*r(229)+( 0.568)*r(247)
     &                +( 0.305)*r(248)+( 0.568)*r(250)+( 0.184)*r(253)
     &                +( 0.900)*r(255)+( 0.950)*r(260)+( 0.742)*r(264)
     &                +( 1.000)*r(353)+( 1.000)*r(355)+( 0.500)*r(356)
     &                +( 0.500)*r(357)+( 0.500)*r(358)+( 1.000)*r(359)
     &                +( 1.000)*r(360)+( 1.000)*r(361)+( 1.000)*r(362)
c
        Loss(lIPRD )= +( 1.000)*r(263)+( 1.000)*r(264)+( 1.000)*r(265)
     &                +( 1.000)*r(266)
c
        Gain(lIPRD )= +( 0.139)*r(228)+( 0.003)*r(253)+( 1.000)*r(433)
     &                +( 1.000)*r(435)+( 0.500)*r(436)+( 0.500)*r(437)
     &                +( 0.500)*r(438)+( 1.000)*r(439)+( 1.000)*r(440)
     &                +( 1.000)*r(441)+( 1.000)*r(442)+( 0.150)*r(527)
c
        Loss(lXGLY )= +( 1.000)*r(343)+( 1.000)*r(344)+( 1.000)*r(345)
     &                +( 1.000)*r(346)+( 1.000)*r(347)+( 1.000)*r(348)
     &                +( 1.000)*r(349)+( 1.000)*r(350)+( 1.000)*r(351)
     &                +( 1.000)*r(352)
c
        Gain(lXGLY )= +( 0.026)*r(228)+( 0.107)*r(246)+( 0.107)*r(249)
     &                +( 0.274)*r(252)+( 0.150)*r(263)+( 0.083)*r(274)
     &                +( 0.012)*r(517)+( 0.002)*r(531)+( 0.290)*r(536)
     &                +( 0.238)*r(537)+( 0.100)*r(538)+( 0.084)*r(539)
     &                +( 0.286)*r(540)+( 0.074)*r(541)+( 0.158)*r(556)
     &                +( 0.088)*r(557)
c
        Loss(lXMEK )= +( 1.000)*r(323)+( 1.000)*r(324)+( 1.000)*r(325)
     &                +( 1.000)*r(326)+( 1.000)*r(327)+( 1.000)*r(328)
     &                +( 1.000)*r(329)+( 1.000)*r(330)+( 1.000)*r(331)
     &                +( 1.000)*r(332)
c
        Gain(lXMEK )= +( 0.030)*r(228)+( 0.129)*r(246)+( 0.129)*r(249)
     &                +( 0.416)*r(254)+( 0.150)*r(263)+( 0.115)*r(267)
     &                +( 0.170)*r(269)+( 0.083)*r(270)+( 0.332)*r(545)
     &                +( 0.106)*r(546)+( 0.086)*r(547)+( 0.080)*r(552)
     &                +( 0.001)*r(553)+( 0.002)*r(554)+( 0.007)*r(558)
     &                +( 0.007)*r(562)
c
        Loss(lXAF1 )= +( 1.000)*r(383)+( 1.000)*r(384)+( 1.000)*r(385)
     &                +( 1.000)*r(386)+( 1.000)*r(387)+( 1.000)*r(388)
     &                +( 1.000)*r(389)+( 1.000)*r(390)+( 1.000)*r(391)
     &                +( 1.000)*r(392)
c
        Gain(lXAF1 )= +( 0.073)*r(228)+( 0.195)*r(252)+( 0.001)*r(525)
     &                +( 0.029)*r(536)+( 0.195)*r(537)+( 0.336)*r(538)
     &                +( 0.253)*r(539)+( 0.045)*r(540)+( 0.088)*r(541)
     &                +( 0.072)*r(556)+( 0.221)*r(557)
c
        Loss(lXAF2 )= +( 1.000)*r(393)+( 1.000)*r(394)+( 1.000)*r(395)
     &                +( 1.000)*r(396)+( 1.000)*r(397)+( 1.000)*r(398)
     &                +( 1.000)*r(399)+( 1.000)*r(400)+( 1.000)*r(401)
     &                +( 1.000)*r(402)
c
        Gain(lXAF2 )= +( 0.073)*r(228)+( 0.195)*r(252)+( 0.001)*r(525)
     &                +( 0.261)*r(536)+( 0.195)*r(537)+( 0.144)*r(538)
     &                +( 0.253)*r(539)+( 0.067)*r(540)+( 0.352)*r(541)
     &                +( 0.185)*r(556)+( 0.247)*r(557)
c
        Loss(lGLY  )= +( 1.000)*r(230)+( 1.000)*r(231)+( 1.000)*r(232)
     &                +( 1.000)*r(233)
c
        Gain(lGLY  )= +( 0.500)*r(229)+( 0.432)*r(247)+( 0.195)*r(248)
     &                +( 0.432)*r(250)+( 0.366)*r(253)+( 0.023)*r(264)
     &                +( 0.500)*r(275)+( 1.000)*r(343)+( 1.000)*r(345)
     &                +( 0.500)*r(346)+( 0.500)*r(347)+( 0.500)*r(348)
     &                +( 1.000)*r(349)+( 1.000)*r(350)+( 1.000)*r(351)
     &                +( 1.000)*r(352)+( 0.700)*r(534)
c
        Loss(lAFG1 )= +( 1.000)*r(246)+( 1.000)*r(247)+( 1.000)*r(248)
c
        Gain(lAFG1 )= +( 0.500)*r(229)+( 0.350)*r(253)+( 1.000)*r(383)
     &                +( 1.000)*r(385)+( 0.500)*r(386)+( 0.500)*r(387)
     &                +( 0.500)*r(388)+( 1.000)*r(389)+( 1.000)*r(390)
     &                +( 1.000)*r(391)+( 1.000)*r(392)
c
        Loss(lAFG2 )= +( 1.000)*r(249)+( 1.000)*r(250)+( 1.000)*r(251)
c
        Gain(lAFG2 )= +( 0.500)*r(229)+( 0.350)*r(253)+( 1.000)*r(393)
     &                +( 1.000)*r(395)+( 0.500)*r(396)+( 0.500)*r(397)
     &                +( 0.500)*r(398)+( 1.000)*r(399)+( 1.000)*r(400)
     &                +( 1.000)*r(401)+( 1.000)*r(402)
c
        Loss(lBACL )= +( 1.000)*r(237)
c
        Gain(lBACL )= +( 1.000)*r(363)+( 1.000)*r(365)+( 0.500)*r(366)
     &                +( 0.500)*r(367)+( 0.500)*r(368)+( 1.000)*r(369)
     &                +( 1.000)*r(370)+( 1.000)*r(371)+( 1.000)*r(372)
c
        Loss(lBALD )= +( 1.000)*r(243)+( 1.000)*r(244)+( 1.000)*r(245)
c
        Gain(lBALD )= +( 1.000)*r(373)+( 1.000)*r(375)+( 0.500)*r(376)
     &                +( 0.500)*r(377)+( 0.500)*r(378)+( 1.000)*r(379)
     &                +( 1.000)*r(380)+( 1.000)*r(381)+( 1.000)*r(382)
c
        Loss(lAFG3 )= +( 1.000)*r(252)+( 1.000)*r(253)
c
        Gain(lAFG3 )= +( 0.139)*r(253)+( 1.000)*r(403)+( 1.000)*r(405)
     &                +( 0.500)*r(406)+( 0.500)*r(407)+( 0.500)*r(408)
     &                +( 1.000)*r(409)+( 1.000)*r(410)+( 1.000)*r(411)
     &                +( 1.000)*r(412)+( 0.116)*r(536)+( 0.312)*r(537)
     &                +( 0.239)*r(538)+( 0.198)*r(539)+( 0.278)*r(540)
     &                +( 0.230)*r(541)+( 0.202)*r(556)+( 0.178)*r(557)
c
        Loss(lXIPR )= +( 1.000)*r(433)+( 1.000)*r(434)+( 1.000)*r(435)
     &                +( 1.000)*r(436)+( 1.000)*r(437)+( 1.000)*r(438)
     &                +( 1.000)*r(439)+( 1.000)*r(440)+( 1.000)*r(441)
     &                +( 1.000)*r(442)
c
        Gain(lXIPR )= +( 0.231)*r(252)+( 0.471)*r(522)+( 0.120)*r(524)
     &                +( 0.357)*r(526)+( 0.936)*r(528)+( 0.009)*r(548)
     &                +( 0.012)*r(552)+( 0.002)*r(558)+( 0.001)*r(559)
     &                +( 0.004)*r(560)+( 0.002)*r(562)+( 0.001)*r(563)
     &                +( 0.004)*r(564)
c
        Loss(lMACR )= +( 1.000)*r(254)+( 1.000)*r(255)+( 1.000)*r(256)
     &                +( 1.000)*r(257)+( 1.000)*r(258)
c
        Gain(lMACR )= +( 0.003)*r(253)+( 1.000)*r(413)+( 1.000)*r(415)
     &                +( 0.500)*r(416)+( 0.500)*r(417)+( 0.500)*r(418)
     &                +( 1.000)*r(419)+( 1.000)*r(420)+( 1.000)*r(421)
     &                +( 1.000)*r(422)+( 0.390)*r(527)
c
        Loss(lMVK  )= +( 1.000)*r(259)+( 1.000)*r(260)+( 1.000)*r(261)
     &                +( 1.000)*r(262)
c
        Gain(lMVK  )= +( 0.004)*r(253)+( 1.000)*r(423)+( 1.000)*r(425)
     &                +( 0.500)*r(426)+( 0.500)*r(427)+( 0.500)*r(428)
     &                +( 1.000)*r(429)+( 1.000)*r(430)+( 1.000)*r(431)
     &                +( 1.000)*r(432)+( 0.375)*r(523)+( 0.160)*r(527)
c
        Loss(lXGLD )= +( 1.000)*r(493)+( 1.000)*r(494)+( 1.000)*r(495)
     &                +( 1.000)*r(496)+( 1.000)*r(497)+( 1.000)*r(498)
     &                +( 1.000)*r(499)+( 1.000)*r(500)+( 1.000)*r(501)
     &                +( 1.000)*r(502)
c
        Gain(lXGLD )= +( 0.675)*r(259)+( 0.129)*r(263)+( 0.047)*r(264)
     &                +( 0.195)*r(514)+( 0.010)*r(542)+( 0.007)*r(548)
     &                +( 0.002)*r(560)
c
        Loss(lXRN3 )= +( 1.000)*r(443)+( 1.000)*r(444)+( 1.000)*r(445)
     &                +( 1.000)*r(446)+( 1.000)*r(447)+( 1.000)*r(448)
     &                +( 1.000)*r(449)+( 1.000)*r(450)+( 1.000)*r(451)
     &                +( 1.000)*r(452)
c
        Gain(lXRN3 )= +( 0.572)*r(265)+( 0.305)*r(269)+( 0.031)*r(276)
     &                +( 0.355)*r(524)+( 0.056)*r(532)+( 0.774)*r(550)
     &                +( 0.320)*r(554)+( 0.228)*r(560)+( 0.228)*r(564)
c
        Loss(lGLYD )= +( 1.000)*r(271)+( 1.000)*r(272)+( 1.000)*r(273)
c
        Gain(lGLYD )= +( 0.467)*r(266)+( 1.000)*r(493)+( 1.000)*r(495)
     &                +( 0.500)*r(496)+( 0.500)*r(497)+( 0.500)*r(498)
     &                +( 1.000)*r(499)+( 1.000)*r(500)+( 1.000)*r(501)
     &                +( 1.000)*r(502)
c
        Loss(lXACE )= +( 1.000)*r(313)+( 1.000)*r(314)+( 1.000)*r(315)
     &                +( 1.000)*r(316)+( 1.000)*r(317)+( 1.000)*r(318)
     &                +( 1.000)*r(319)+( 1.000)*r(320)+( 1.000)*r(321)
     &                +( 1.000)*r(322)
c
        Gain(lXACE )= +( 0.004)*r(269)+( 0.008)*r(270)+( 0.034)*r(530)
     &                +( 0.345)*r(531)+( 0.069)*r(532)+( 0.704)*r(544)
     &                +( 0.024)*r(545)+( 0.426)*r(546)+( 0.071)*r(547)
     &                +( 0.007)*r(548)+( 0.003)*r(549)+( 0.034)*r(550)
     &                +( 0.144)*r(552)+( 0.116)*r(554)+( 0.037)*r(558)
     &                +( 0.057)*r(559)+( 0.239)*r(560)+( 0.037)*r(562)
     &                +( 0.057)*r(563)+( 0.239)*r(564)
c
        Loss(lACRO )= +( 1.000)*r(274)+( 1.000)*r(275)+( 1.000)*r(276)
     &                +( 1.000)*r(277)+( 1.000)*r(278)
c
        Gain(lACRO )= +( 1.000)*r(503)+( 1.000)*r(505)+( 0.500)*r(506)
     &                +( 0.500)*r(507)+( 0.500)*r(508)+( 1.000)*r(509)
     &                +( 1.000)*r(510)+( 1.000)*r(511)+( 1.000)*r(512)
     &                +( 0.500)*r(523)
c
        Loss(lXBAL )= +( 1.000)*r(373)+( 1.000)*r(374)+( 1.000)*r(375)
     &                +( 1.000)*r(376)+( 1.000)*r(377)+( 1.000)*r(378)
     &                +( 1.000)*r(379)+( 1.000)*r(380)+( 1.000)*r(381)
     &                +( 1.000)*r(382)
c
        Gain(lXBAL )= +( 0.065)*r(537)+( 0.041)*r(538)+( 0.047)*r(539)
     &                +( 0.088)*r(540)+( 0.036)*r(541)+( 0.026)*r(557)
c
        Loss(lXAF3 )= +( 1.000)*r(403)+( 1.000)*r(404)+( 1.000)*r(405)
     &                +( 1.000)*r(406)+( 1.000)*r(407)+( 1.000)*r(408)
     &                +( 1.000)*r(409)+( 1.000)*r(410)+( 1.000)*r(411)
     &                +( 1.000)*r(412)
c
        Gain(lXAF3 )= +( 0.286)*r(540)+( 0.151)*r(541)+( 0.068)*r(557)
c
        Loss(lXMAC )= +( 1.000)*r(413)+( 1.000)*r(414)+( 1.000)*r(415)
     &                +( 1.000)*r(416)+( 1.000)*r(417)+( 1.000)*r(418)
     &                +( 1.000)*r(419)+( 1.000)*r(420)+( 1.000)*r(421)
     &                +( 1.000)*r(422)
c
        Gain(lXMAC )= +( 0.230)*r(526)+( 0.001)*r(548)+( 0.002)*r(559)
     &                +( 0.005)*r(560)+( 0.002)*r(563)+( 0.005)*r(564)
c
        Loss(lXMVK )= +( 1.000)*r(423)+( 1.000)*r(424)+( 1.000)*r(425)
     &                +( 1.000)*r(426)+( 1.000)*r(427)+( 1.000)*r(428)
     &                +( 1.000)*r(429)+( 1.000)*r(430)+( 1.000)*r(431)
     &                +( 1.000)*r(432)
c
        Gain(lXMVK )= +( 0.460)*r(524)+( 0.320)*r(526)+( 0.012)*r(548)
     &                +( 0.002)*r(552)+( 0.003)*r(558)+( 0.001)*r(560)
     &                +( 0.003)*r(562)+( 0.001)*r(564)
c
        Loss(lYAPX )= +( 1.000)*r(473)+( 1.000)*r(474)+( 1.000)*r(475)
     &                +( 1.000)*r(476)+( 1.000)*r(477)+( 1.000)*r(478)
     &                +( 1.000)*r(479)+( 1.000)*r(480)+( 1.000)*r(481)
     &                +( 1.000)*r(482)
c
        Gain(lYAPX )= +( 0.314)*r(536)+( 0.435)*r(537)+( 0.555)*r(538)
     &                +( 0.586)*r(539)+( 0.461)*r(540)+( 0.705)*r(541)
c
        Loss(lXACR )= +( 1.000)*r(503)+( 1.000)*r(504)+( 1.000)*r(505)
     &                +( 1.000)*r(506)+( 1.000)*r(507)+( 1.000)*r(508)
     &                +( 1.000)*r(509)+( 1.000)*r(510)+( 1.000)*r(511)
     &                +( 1.000)*r(512)
c
        Gain(lXACR )= +( 0.480)*r(522)+( 0.115)*r(525)+( 0.036)*r(548)
c
        Loss(lETHE )= +( 1.000)*r(514)+( 1.000)*r(515)+( 1.000)*r(516)
     &                +( 1.000)*r(517)
c
        Gain(lETHE )= 0.0
c
        Loss(lPRPE )= +( 1.000)*r(518)+( 1.000)*r(519)+( 1.000)*r(520)
     &                +( 1.000)*r(521)
c
        Gain(lPRPE )= 0.0
c
        Loss(lBD13 )= +( 1.000)*r(522)+( 1.000)*r(523)+( 1.000)*r(524)
     &                +( 1.000)*r(525)
c
        Gain(lBD13 )= 0.0
c
        Loss(lISOP )= +( 1.000)*r(526)+( 1.000)*r(527)+( 1.000)*r(528)
     &                +( 1.000)*r(529)
c
        Gain(lISOP )= 0.0
c
        Loss(lAPIN )= +( 1.000)*r(530)+( 1.000)*r(531)+( 1.000)*r(532)
     &                +( 1.000)*r(533)
c
        Gain(lAPIN )= 0.0
c
        Loss(lACYE )= +( 1.000)*r(534)+( 1.000)*r(535)
c
        Gain(lACYE )= 0.0
c
        Loss(lBENZ )= +( 1.000)*r(536)
c
        Gain(lBENZ )= 0.0
c
        Loss(lTOLU )= +( 1.000)*r(537)
c
        Gain(lTOLU )= 0.0
c
        Loss(lMXYL )= +( 1.000)*r(538)
c
        Gain(lMXYL )= 0.0
c
        Loss(lOXYL )= +( 1.000)*r(539)
c
        Gain(lOXYL )= 0.0
c
        Loss(lPXYL )= +( 1.000)*r(540)
c
        Gain(lPXYL )= 0.0
c
        Loss(lB124 )= +( 1.000)*r(541)
c
        Gain(lB124 )= 0.0
c
        Loss(lETOH )= +( 1.000)*r(542)
c
        Gain(lETOH )= 0.0
c
        Loss(lALK1 )= +( 1.000)*r(543)
c
        Gain(lALK1 )= 0.0
c
        Loss(lALK2 )= +( 1.000)*r(544)
c
        Gain(lALK2 )= 0.0
c
        Loss(lALK3 )= +( 1.000)*r(545)
c
        Gain(lALK3 )= 0.0
c
        Loss(lALK4 )= +( 1.000)*r(546)
c
        Gain(lALK4 )= 0.0
c
        Loss(lALK5 )= +( 1.000)*r(547)
c
        Gain(lALK5 )= 0.0
c
        Loss(lOLE1 )= +( 1.000)*r(548)+( 1.000)*r(549)+( 1.000)*r(550)
     &                +( 1.000)*r(551)
c
        Gain(lOLE1 )= 0.0
c
        Loss(lOLE2 )= +( 1.000)*r(552)+( 1.000)*r(553)+( 1.000)*r(554)
     &                +( 1.000)*r(555)
c
        Gain(lOLE2 )= 0.0
c
        Loss(lARO1 )= +( 1.000)*r(556)
c
        Gain(lARO1 )= 0.0
c
        Loss(lARO2 )= +( 1.000)*r(557)
c
        Gain(lARO2 )= 0.0
c
        Loss(lTERP )= +( 1.000)*r(558)+( 1.000)*r(559)+( 1.000)*r(560)
     &                +( 1.000)*r(561)
c
        Gain(lTERP )= 0.0
c
        Loss(lSESQ )= +( 1.000)*r(562)+( 1.000)*r(563)+( 1.000)*r(564)
     &                +( 1.000)*r(565)
c
        Gain(lSESQ )= 0.0
c
c
      return
      end

