      subroutine lsrate_pig(neq,t,y,rate,nr,r)
      implicit none
c
c----CAMx v6.30 160408
c
c     LSRATE_pig computes double precision species rates
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c     Created by the CMC version 5.2.4
c
c     Routines Called:
c        LSRXN_pig
c
c     Called by:
c        LSODE
c
      include "camx.prm"
      include "chmdat.inc"
      include "lsbox.inc"
      include "ddmchm.inc"
c
      integer neq, nr, l
      double precision t
      double precision y(*)
      double precision rate(neq)
      double precision r(MXREACT)
      double precision loss(MXSPEC+1)
      double precision gain(MXSPEC+1)
c
c --- Entry point
c
c --- Get reaction rates, r
c
      call lsrxn_pig(dH2O,dM,dO2,dCH4,dH2,y,dbrk,r)
c
      do l = 1,neq
        Loss(l) = 0.0d0
        Gain(l) = 0.0d0
      enddo
c
c --- Calculate the species rates
c
c
c   NO2    NO     O    O3  HONO   O1D    OH  HNO3   NO3  N2O5
c   SO2  SULF   HO2    CO  FORM
c
        Loss(l_NO2 )= +( 1.000)*r(  1)+( 1.000)*r(  5)+( 1.000)*r( 10)
     &                +( 1.000)*r( 11)+( 1.000)*r( 15)+( 1.000)*r( 16)
c
        Gain(l_NO2 )= +( 1.000)*r(  3)+( 2.000)*r(  4)+( 1.000)*r( 12)
     &                +( 2.000)*r( 14)+( 1.000)*r( 15)+( 1.000)*r( 17)
     &                +( 1.000)*r( 23)
c
        Loss(l_NO  )= +( 1.000)*r(  3)+( 2.000)*r(  4)+( 1.000)*r(  5)
     &                +( 1.000)*r( 14)+( 1.000)*r( 23)
c
        Gain(l_NO  )= +( 1.000)*r(  1)+( 1.000)*r(  9)+( 1.000)*r( 13)
     &                +( 1.000)*r( 15)
c
        Loss(l_O   )= +( 1.000)*r(  2)
c
        Gain(l_O   )= +( 1.000)*r(  1)+( 1.000)*r(  7)+( 1.000)*r( 12)
c
        Loss(l_O3  )= +( 1.000)*r(  3)+( 1.000)*r(  6)+( 1.000)*r( 11)
c
        Gain(l_O3  )= +( 1.000)*r(  2)
c
        Loss(l_HONO)= +( 1.000)*r(  9)
c
        Gain(l_HONO)= +( 2.000)*r(  5)
c
        Loss(l_O1D )= +( 1.000)*r(  7)+( 1.000)*r(  8)
c
        Gain(l_O1D )= +( 1.000)*r(  6)
c
        Loss(l_OH  )= +( 1.000)*r( 10)+( 1.000)*r( 19)+( 1.000)*r( 20)
c
        Gain(l_OH  )= +( 2.000)*r(  8)+( 1.000)*r(  9)+( 1.000)*r( 23)
c
        Loss(l_HNO3)= 0.0
c
        Gain(l_HNO3)= +( 1.000)*r( 10)+( 2.000)*r( 18)
c
        Loss(l_NO3 )= +( 1.000)*r( 12)+( 1.000)*r( 13)+( 1.000)*r( 14)
     &                +( 1.000)*r( 15)+( 1.000)*r( 16)
c
        Gain(l_NO3 )= +( 1.000)*r( 11)+( 1.000)*r( 17)
c
        Loss(l_N2O5)= +( 1.000)*r( 17)+( 1.000)*r( 18)
c
        Gain(l_N2O5)= +( 1.000)*r( 16)
c
        Loss(l_SO2 )= +( 1.000)*r( 19)
c
        Gain(l_SO2 )= 0.0
c
        Loss(l_SULF)= 0.0
c
        Gain(l_SULF)= +( 1.000)*r( 19)
c
        Loss(l_HO2 )= +( 1.000)*r( 23)
c
        Gain(l_HO2 )= +( 1.000)*r( 19)+( 1.000)*r( 20)+( 2.000)*r( 21)
c
        Loss(l_CO  )= +( 1.000)*r( 20)
c
        Gain(l_CO  )= +( 1.000)*r( 21)+( 1.000)*r( 22)
c
        Loss(l_FORM)= +( 1.000)*r( 21)+( 1.000)*r( 22)
c
        Gain(l_FORM)= 0.0
c
c
      do l = 1,neq
        rate(l) = gain(l) -loss(l)
      enddo
c
      return
      end
