c**** CLRBDYDDM.F
c
      subroutine clrbdyddm(nox,noy,noz,nspsa,saconc)
      use chmstry
      use bndary
      use tracer
c
c----CAMx v6.30 160408
c
c-----------------------------------------------------------------------
c    Description:
c-----------------------------------------------------------------------
c
c   This routine resets the boundary conditions for the DDM species to 
c   zero.  
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c
c      Argument description:
c       Outputs:
c           saconc   R  array of concentrations to clear
c       Inputs:
c           nox      I  number of cells in X direction
c           noy      I  number of cells in Y direction
c           noz      I  number of vertical cells in grid
c           nspsa    I  number of species 
c
c-----------------------------------------------------------------------
c    LOG:
c-----------------------------------------------------------------------
c
c     06/06/96   --gwilson--    Original development
c
c-----------------------------------------------------------------------
c    Include files:
c-----------------------------------------------------------------------
c
      include 'camx.prm'
c
c-----------------------------------------------------------------------
c    Arguement declarations:
c-----------------------------------------------------------------------
c
      integer   nox
      integer   noy
      integer   noz
      integer   nspsa
      real      saconc(nox,noy,noz,nspsa)
c
c-----------------------------------------------------------------------
c    Local variables:
c-----------------------------------------------------------------------
c
      integer nedge, ioff, icl, jcl, izcl, iddm, i
c
c-----------------------------------------------------------------------
c    Entry point:
c-----------------------------------------------------------------------
c
c  --- set the number of BC edges --
c
      if( lbndry ) then
        nedge = 5
      else
        nedge = 1
      endif
c
c  --- do the WEST and EAST boundaries ----
c
      do 10 jcl=2,noy-1
c
c  --- West boundary ---
c
         icl = 1
         do 20 izcl=1,noz
c
c   --- if stratifying by boundary, put in seperate position ---
c
            if( lbndry ) then
               ioff = IDXBWS
            else
               ioff = 1
            endif
c
c   --- reset boundary value for each modeled species ---
c
            do i=1,nspec        
              do j=1,nbcddm
                iddm = iptddm(i) + (j-1)*nedge + nicddm + ioff - 1
                saconc(icl,jcl,izcl,iddm) = 0.
              enddo
            enddo
   20    continue
c
c  --- East boundary ---
c
         icl = nox
         do 30 izcl=1,noz
c
c   --- if stratifying by boundary, put in seperate position ---
c
            if( lbndry ) then
               ioff = IDXBES
            else
               ioff = 1
            endif
c
c   --- reset boundary value for each modeled species ---
c
            do i=1,nspec        
              do j=1,nbcddm
                iddm = iptddm(i) + (j-1)*nedge + nicddm + ioff - 1
                saconc(icl,jcl,izcl,iddm) = 0.
              enddo
            enddo
   30    continue
   10 continue
c
c  --- do the SOUTH and NORTH boundaries ----
c
      do 40 icl=2,nox-1
c
c  --- South boundary ---
c
         jcl = 1
         do 50 izcl=1,noz
c
c   --- stratifying by boundary, put in seperate position ---
c
            if( lbndry ) then
                ioff = IDXBST
            else
                ioff = 1
            endif
c
c   --- reset boundary value for each modeled species ---
c
            do i=1,nspec        
              do j=1,nbcddm
                iddm = iptddm(i) + (j-1)*nedge + nicddm + ioff - 1
                saconc(icl,jcl,izcl,iddm) = 0.
              enddo
            enddo
   50    continue
c
c  --- North boundary ---
c
         jcl = noy
         do 60 izcl=1,noz
c
c   --- if stratifying by boundary, put in seperate position ---
c
            if( lbndry ) then
                ioff = IDXBNT
            else
                ioff = 1
            endif
c
c   --- reset boundary value for each modeled species ---
c
            do i=1,nspec        
              do j=1,nbcddm
                iddm = iptddm(i) + (j-1)*nedge + nicddm + ioff - 1
                saconc(icl,jcl,izcl,iddm) = 0.
              enddo
            enddo
   60    continue
   40 continue
c
c  --- return to the calling routine ---
c
      goto 9999
c
c-----------------------------------------------------------------------
c    Error messages:
c-----------------------------------------------------------------------
c
c-----------------------------------------------------------------------
c    Format statements:
c-----------------------------------------------------------------------
c
c-----------------------------------------------------------------------
c    Return point:
c-----------------------------------------------------------------------
c
 9999 continue
      return
      end
