c----CAMx v6.30 160408
c
c     SOAP.COM contains common parameters and variables for SOAP
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c
c     Modifications:
c
c-----------------------------------------------------------------------
c     Parameters
c
c     NSOAP   -- number of CG/SOA pairs
c     NASOA   -- number of anthropogenic CG/SOA pairs
c     *** Notes for polymerization
c         1. anthro SOAs must be ordered before biogenic SOAs
c         2. SOA from SQT must be ordered last
c-----------------------------------------------------------------------
c
      integer      NSOAP, NASOA
c
      parameter  ( NSOAP = 7 )
      parameter  ( NASOA = 2 )
c
      integer      PFLAG       ! bkoo (03/09/03)
c
      parameter  ( PFLAG = 1 ) ! 1 if there is pre-existing organic aerosol; 0 if not
c
c-----------------------------------------------------------------------
c     Variables that are initialized in soapdat.f
c
c     mwsoap  -- molecular weights of CG/SOA pairs (g/mol)
c     mwsoah  -- molecular weight of SOAH (g/mol)
c     mwsopa  -- molecular weight of SOPA (g/mol)
c     mwsopb  -- molecular weight of SOPB (g/mol)
c     mwpoa   -- molecular weight of POA (g/mol)
c     csat    -- saturation concentrations of CG/SOA pairs (ug/m3)
c     cstemp  -- temperatures corresponding to saturation concentrations
c                of CG/SOA pairs (K)
c     deltah  -- enthalpy of vaporization of CG/SOA pairs (J/mol)
c     fpoly0  -- polymerized mass fraction per hour
c     flagsoap-- set to 1 if the SOA forms a solution with others; 0 if not
c-----------------------------------------------------------------------
c
      REAL         mwsoap(NSOAP)
      REAL         mwsoah,mwsopa,mwsopb,mwpoa
      REAL         csat(NSOAP)
      REAL         cstemp(NSOAP)
      REAL         deltah(NSOAP)
      REAL         fpoly0
      INTEGER      flagsoap(NSOAP)
c
      common /soapx/ mwsoap, mwsoah, mwsopa, mwsopb, mwpoa,
     &               csat, cstemp, deltah, fpoly0, flagsoap
c
c-----------------------------------------------------------------------
