c----CAMx v6.30 160408
c
c     VBS.INC contains common parameters and variables for VBS
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c
c     Modifications:
c        12/07/14 -bkoo-      Created
c        01/08/16 -bkoo-      Updated for Revised VBS
c
c
      logical, parameter :: LVBSPREPROC = .TRUE.
c
      integer, parameter :: NVBS = 4 ! Number of volatility bins (volatile bins only)
c
c     Emission Factors for POA & IVOC - Base case
c
      real, parameter, dimension(0:NVBS) ::
     &                      POA_GV_EF = (/0.27,0.15,0.26,0.15,0.17/),
     &                      POA_DV_EF = (/0.03,0.25,0.37,0.24,0.11/),
     &                      POA_OP_EF = (/0.09,0.09,0.14,0.18,0.50/),
     &                      POA_BB_EF = (/0.2, 0.1, 0.1, 0.2, 0.4 /),
     &                      POA_MC_EF = (/0.35,0.35,0.10,0.10,0.10/)
c
c     MW and other Parameters
c
      real, parameter :: MW_IVOG = 184.,
     &                   MW_IVOD = 212.,
     &                   MW_IVOA = 212., ! temporary
     &                   MW_IVOB = 212.

      real, parameter :: MW_NVOL(5) = (/ 172.,   ! PAS0
     &                                   172.,   ! PBS0
     &                                   278.,   ! PAP0
     &                                   278.,   ! PCP0
     &                                   205. /) ! PFP0

      real, parameter :: MW_VBS(NVBS*5) = (/ 167., 163., 158., 153.,   ! PAS1-PAS4
     &                                       167., 163., 158., 153.,   ! PBS1-PBS4
     &                                       275., 272., 268., 266.,   ! PAP1-PAP4
     &                                       275., 272., 268., 266.,   ! PCP1-PCP4
     &                                       208., 211., 213., 215. /) ! PFP1-PFP4

      real, parameter :: CSAT0(NVBS*5) = (/ 1., 10., 100., 1000.,
     &                                      1., 10., 100., 1000.,
     &                                      1., 10., 100., 1000.,
     &                                      1., 10., 100., 1000.,
     &                                      1., 10., 100., 1000. /)

      real, parameter :: CSTEMP0(NVBS*5) = (/ 298., 298., 298., 298.,
     &                                        298., 298., 298., 298.,
     &                                        298., 298., 298., 298.,
     &                                        298., 298., 298., 298.,
     &                                        298., 298., 298., 298. /)

      real, parameter :: DELTAH0(NVBS*5) =
     &                             (/ 35000., 35000., 35000., 35000.,
     &                                35000., 35000., 35000., 35000.,
     &                                85000., 74000., 63000., 52000.,
     &                                85000., 74000., 63000., 52000.,
     &                                85000., 81000., 77000., 73000. /)
c
c     Common Variables
c
      logical :: lvbs
      integer, dimension(0:NVBS) :: kpap_c, kpcp_c, kpfp_c

      common /vbscom/ lvbs, kpap_c, kpcp_c, kpfp_c

