      Block Data soapdat
c
c-----------------------------------------------------------------------
c     Initialize common block variables for SOAP
c
c     mwsoap   - molecular weights of CG/SOA pairs (g/mol)
c     mwsoah   - molecular weight of SOAH (g/mol)
c     mwsopa   - molecular weight of SOPA (g/mol)
c     mwsopb   - molecular weight of SOPB (g/mol)
c     mwpoa    - molecular weight of POA (g/mol)
c     csat     - saturation concentrations of CG/SOA pairs (ug/m3)
c     cstemp   - temperatures corresponding to saturation concentrations
c                of CG/SOA pairs (K)
c     deltah   - enthalpy of vaporization of CG/SOA pairs (J/mol)
c     fpoly0   - polymerized mass fraction per hour
c     flagsoap - 1 if the SOA forms a solution with others; 0 if not
c-----------------------------------------------------------------------
c
      include 'soap.inc'
c
      data mwsoap   /150., 150.,
     &               130., 130., 180., 180., 210./
      data mwsoah, mwsopa, mwsopb, mwpoa
     &              /150., 220., 220., 220.0/
      data csat     /1.15, 81.6,
     &               0.726, 136., 3.92, 55.8, 0.001/
      data cstemp   /7*298.0/
      data deltah   /19900.,18000.,
     &               42000.,42000.,75500.,75500.,0.0/
      data fpoly0   /0.025/
      data flagsoap /7*1/
c
      end
